;************************************************************
;
; Elements v1.0
; =============
;
; Original for Ion on the TI-83/TI-83+
;
; by badja
; 31 October 1999
;
; http://badja.calc.org
; badja@calc.org
;
; TI-86 port by Andreas Finne
; a_finne@hotmail.com
; June 2000
;
; You may modify this source code for personal use only.
; You may NOT distribute the modified source or program file.
;
; Original game created by Avery Pack
;
; Levels are compressed using run-length encoding
; Average level size under 93 bytes; 207% overall compression
;
;************************************************************
; Sorry, no comments :(

#include "ti86asm.inc"

;******** $8200 offsets ********
xPos		.equ	0
yPos		.equ	xPos+1
xDest		.equ	yPos+1
yDest		.equ	xDest+1
level		.equ	yDest+1
board		.equ	level+1
score		.equ	board+1
keys		.equ	score+2
energy	.equ	keys+1
lives		.equ	energy+1
shift		.equ	lives+1
levelArray	.equ	shift+1


;******** Program ********

.org _asm_exec_ram

	nop
	jp start
	.dw $0000
	.dw Title

Title:
	.db	"Elements 1.0",0

start:
	call _runindicoff
	call _flushallmenus
	ld	ix,$8200		; initialise IX so we can use our offsets
	xor a
	ld	(ix+level),a
mainMenu:
	xor a
	ld	(ix+score),a
	ld	(ix+score+1),a
	ld	(ix+lives),3
	ld	(ix+shift),a
showMenu:
	call _clrLCD
	ld	de,titlePic
	ld	hl,$FC00+4
	ld c,10
sM1:
	ld b,8
sMLoop:
	ld a,(de)
	ld (hl),a
	inc hl
	inc de
	djnz sMLoop
	push de
	ld de,8
	add hl,de
	pop de
	dec c
	jr nz,sM1

	ld	hl,menuURL
	ld	bc,$0a0b
	call	putString

	ld	bc,$1217
	call	putString

	ld	bc,$1800
	call	putString
	ld	a,(ix+level)
	inc	a
	call DispA
	ld	hl,menuExit
	ld	bc,$1e15
	call	putString

	ld	bc,$2411
	call	putString

	ld	bc,$2a29
	call	putString

	ld	bc,$3214
	call	putString
	ld	hl,(highScore)
	call DispHL
	ld	b,$50
	call	bigDelay

menuLoop:
	call	resetKeyport
	ld	a,$fe
	out	(1),a
	in	a,(1)
	cp	253			; left
	jr	z,prevLevel
	cp	251			; right
	jr	z,nextLevel
	call	resetKeyport
	ld	a,$bf
	out	(1),a
	in	a,(1)
	cp	223			; 2nd
	jr	z,startLevel
	cp	127			; MORE
	jr	z,delHighScore
	cp 191			;EXIT
	jp z,Quit
	jp	menuLoop

nextLevel:
	ld	a,(highLevel)
	cp	(ix+level)
	jr	z,menuLoop
	inc	(ix+level)
	jp	showMenu

prevLevel:
	xor	a
	cp	(ix+level)
	jr	z,menuLoop
	dec	(ix+level)
	jp	showMenu

delHighScore:
	ld	hl,confirmDelete
	ld	bc,$3900
	ld	(ix+shift),1
	call	putMessage
	bit	0,(ix+shift)
	jp	nz,showMenu
	ld	(ix+shift),0
	ld	hl,0
	ld	(highScore),hl
	ld	a,0
	ld	(highLevel),a
	ld	(ix+level),a
	jp	showMenu

startLevel:
	ld	(ix+board),0
	ld	(ix+keys),0
	ld	(ix+energy),25
	bit	0,(ix+shift)
	jr	nz,noAddPoints
	call	add25points
	call	add25points
noAddPoints:
	ld	(ix+shift),0

startBoard:
	ld	a,(ix+level)
	ld	hl,levels
	ld	ix,boardLengths
	ld	de,screenLengths
	cp 0
	jr	z,level0
	ld	b,a
loadLoop1:
	push	bc
	ld	b,(ix)
	inc	ix
	call	skipScreen
	pop	bc
	djnz	loadLoop1
level0:

	ld	a,($8200+board)
	cp	0
	jr	z,board0
	ld	b,a
	call	skipScreen
board0:

	call	getNextByte
	ld	($8200+xPos),a
	ld	($8200+xDest),a
	call	getNextByte
	ld	($8200+yPos),a
	ld	($8200+yDest),a
	ld	ix,$8200+levelArray
	ld	a,(de)
	ld	b,a
decompressLoop:
	push	bc
	call	getNextByte
	ld	c,a
	and	%00000111
	inc	a
	ld	b,a
	srl	c
	srl	c
	srl	c
writeRun:
	ld	(ix),c
	inc	ix
	djnz	writeRun
	pop	bc
	djnz	decompressLoop

displayBoard:
	set textwrite,(iy+new_grf_flgs)
	ld hl,_plotSScreen
	ld de,_plotSScreen+1
	ld (hl),0
	ld bc,1023
	ldir
	ld	e,0
	ld	hl,$8200+levelArray
	ld	b,10

dispLoop1:
	push	bc
	ld	b,19
	ld	d,0

dispLoop2:
	push	bc

	ld	a,(hl)
	inc	hl
	ld	b,a
	push	de
	push	hl
	call	putBlock
	pop	hl
	pop	de
	inc	d
	pop	bc
	djnz	dispLoop2

	inc	e
	pop	bc
	djnz	dispLoop1

	ld	hl,status
	ld	bc,$3200
	call	putString

	ld	bc,$321b
	call	putString

	call	dispScore

	ld	hl,nrg
	ld	bc,$3900
	call	putString

	ld	bc,$393e
	call	putString

	ld	a,(ix+level)
	inc	a
	add a,'0'
	call _vputmap
	ld	ix,$8200

	ld	hl,dash
	ld	bc,$3957
	call	putString

	ld	a,(ix+board)
	inc	a
	add a,'0'
	call _vputmap
	ld	ix,$8200

	ld	(ix+shift),1
	bit	0,(ix+keys)
	jr	z,noLightKey
	ld	b,14
	ld	d,3
	ld	e,10
	call	putBlock
noLightKey:
	bit	1,(ix+keys)
	jr	z,noDarkKey
	ld	b,13
	ld	d,4
	ld	e,10
	call	putBlock
noDarkKey:

	ld	a,(ix+lives)
	cp	0
	jr	z,noLives
	cp	6
	jr	c,notTooMany
	ld	a,5
notTooMany:
	ld	d,18
	ld	e,10
	ld	b,a
livesLoop:
	push	bc
	ld	b,25
	push	de
	call	putBlock
	pop	de
	dec	d
	pop	bc
	djnz	livesLoop
noLives:
	ld	(ix+shift),0

	ld	a,(ix+energy)
	cp	0
	jr	z,doneEnergy
	cp	36
	jr	c,oneEnergyBar
	ld	hl,_plotSScreen+949
	ld	b,35
	call	horizLine
	ld	hl,_plotSScreen+965
	ld	b,35
	call	horizLine
	ld	hl,_plotSScreen+997
	ld	a,(ix+energy)
	sub	35
	cp	36
	jr	c,notTooLong
	ld	a,35
notTooLong:
	ld	b,a
	push	bc
	call	horizLine
	pop	bc
	ld	hl,_plotSScreen+1013
	call	horizLine
	jr	doneEnergy

oneEnergyBar:
	ld	b,(ix+energy)
	ld	hl,_plotSScreen+949
	call	horizLine
	ld	b,(ix+energy)
	ld	hl,_plotSScreen+965
	call	horizLine
doneEnergy:

	call	putPlayer
	res textwrite,(iy+new_grf_flgs)

	ld	hl,outOfEnergy
	ld	a,(ix+energy)
	cp	0
	jp	z,die
	cp	253
	jp	nc,die

	ld hl,_plotSScreen
	ld de,$FC00
	ld bc,1024
	ldir

	call	delay

gameLoop:
	call	resetKeyport
	ld	a,$fe
	out	(1),a
	in	a,(1)
doubleMove:
	cp	254			; down
	jr	z,down
	cp	253			; left
	jr	z,left
	cp	251			; right
	jr	z,right
	cp	247			; up
	jr	z,up
	call	resetKeyport
	ld	a,$bf
	out	(1),a
	in	a,(1)
	cp	191			; EXIT
	jp	z,endGame
	ld	hl,suicide
	cp	127			; MORE
	jp	z,die
	jr	gameLoop

down:
	inc	(ix+yDest)
	jr	checkDest
left:
	ld	a,(ix+xPos)
	cp	0
	jr	z,gameLoop
	dec	(ix+xDest)
	jr	checkDest
right:
	ld	a,(ix+xPos)
	cp	18
	jr	nz,notNextBoard
	inc	(ix+board)
	jp	startBoard
notNextBoard:
	inc	(ix+xDest)
	jr	checkDest
up:
	dec	(ix+yDest)

checkDest:
	call	getElementAddress
	ld	c,(hl)
	ld	hl,destCases
	sla	c
	ld	b,0
	add	hl,bc
	ld	e,(hl)
	inc	hl
	ld	d,(hl)
	ex	de,hl
	jp	(hl)

dNothing:
	inc	(ix+board)
	jp	startBoard

dWall:
	ld	a,(ix+xPos)
	ld	(ix+xDest),a
	ld	a,(ix+yPos)
	ld	(ix+yDest),a
	jp 	displayBoard

dExit:
	dec	(ix+energy)
	ld	a,(ix+energy)
	cp	0
	jr	z,noBonus
	ld	b,a
addBonus:
	call	add25points
	djnz	addBonus
noBonus:
	call	putPlayer
	ld	bc,$3242
	ld	(_penCol),bc
	call	dispScore
	ld	hl,boardComplete
	ld	a,(ix+level)
	cp	6
	jr	nz,endBoardMessage
	ld	hl,gameComplete
endBoardMessage:
	ld	bc,$3900
	call	putMessage

	ld	a,(ix+level)
	cp	6
	jp	z,endGame

	inc	(ix+level)
	ld	a,(highLevel)
	cp	(ix+level)
	jr	nc,sameHighLevel
	inc	a
	ld	(highLevel),a
sameHighLevel:
	ld	(ix+board),0
	jp 	startLevel

dFloor:
	ld	a,(ix+xDest)
	ld	(ix+xPos),a
	ld	a,(ix+yDest)
	ld	(ix+yPos),a
	dec	(ix+energy)
	jp	displayBoard

dLeft:
	ld	a,(ix+xPos)
	cp	(ix+xDest)
	jp	z,dWall
	jp	c,dWall
	jr	followArrow

dRight:
	ld	a,(ix+xPos)
	cp	(ix+xDest)
	jp	nc,dWall
	jr	followArrow

dUp:
	ld	a,(ix+yPos)
	cp	(ix+yDest)
	jp	z,dWall
	jp	c,dWall
	jr	followArrow

dDown:
	ld	a,(ix+yPos)
	cp	(ix+yDest)
	jp	nc,dWall
followArrow:
	dec	(ix+energy)
	jp	doubleMove

dShard:
	ld	d,2
	call	writeArray
	call	add25points
	call	add25points
	jr	dFloor

dEnergy:
	ld	d,2
	call	writeArray
	ld	a,(ix+energy)
	add	a,26
	ld	(ix+energy),a
	jr	dFloor

d1up:
	ld	d,2
	call	writeArray
	inc	(ix+lives)
	jp	dFloor

dKeyDark:
	set	1,(ix+keys)
	ld	d,2
	call	writeArray
	jp	dFloor

dKeyLight:
	set	0,(ix+keys)
	ld	d,2
	call	writeArray
	jp	dFloor

dLockDark:
	bit	1,(ix+keys)
	jp 	z,dWall
	ld	d,2
	call	writeArray
	ld	a,17
	ld	c,2
	call	replace
	res	1,(ix+keys)
	jp	dFloor

dLockLight:
	bit	0,(ix+keys)
	jp 	z,dWall
	ld	d,2
	call	writeArray
	ld	a,18
	ld	c,2
	call	replace
	res	0,(ix+keys)
	jp	dFloor

dSwitchLeft:
	ld	d,20
	jr	switchArrows

dSwitchRight:
	ld	d,19
switchArrows:
	call	writeArray
	dec	(ix+energy)
	ld	a,6
	ld	c,25
	call	replace
	ld	a,7
	ld	c,6
	call	replace
	ld	a,25
	ld	c,7
	call	replace
	ld	a,8
	ld	c,25
	call	replace
	ld	a,9
	ld	c,8
	call	replace
	ld	a,25
	ld	c,9
	call	replace
	jp 	dWall

dRound:
	dec	(ix+energy)
	ld	a,17
	ld	c,25
	call	replace
	ld	a,18
	ld	c,17
	call	replace
	ld	a,25
	ld	c,18
	call	replace
	jp 	dWall

dSquare:
	dec	(ix+energy)
	ld	a,24
	ld	c,2
	call	replace
	jp 	gameLoop

dHole:
	ld	a,(ix+level)
	cp	6
	jr	nz,fallInHole
	ld	a,(ix+board)
	cp	4
	jr	c,fallInHole
	ld	hl,teleporters
	sub	4
	sla	a
	sla	a
	sla	a
	ld	b,0
	ld	c,a
	add	hl,bc

	ld	b,2
checkTeleporters:
	call	getNextByte
	cp	(ix+xDest)
	jr	nz,checkOther2
	call	getNextByte
	cp	(ix+yDest)
	jr	nz,checkOther1
	call	getNextByte
	ld	(ix+xDest),a
	call	getNextByte
	ld	(ix+yDest),a
	dec	(ix+energy)
	dec	(ix+energy)
	jp	dFloor
checkOther1:
	inc	hl
checkOther2:
	inc	hl
	inc	hl
	inc	hl
	djnz	checkTeleporters

fallInHole:
	call	putPlayer
	ld	hl,youHaveDied
die:
	ld	bc,$3906
	call	putMessage

	ld	hl,$FC00
	ld	de,$FC00+(16*62)
	ld	b,31
blindLoop:
	push	bc
	ld	a,%00000000
	call	drawRow
	push	hl
	ld	a,%11111111
	call	drawRow
	pop	hl
	ex	de,hl
	push	hl
	ld	a,%11111111
	call	drawRow
	ld	a,%00000000
	call	drawRow
	pop	hl
	ld	bc,16
	scf
	ccf
	sbc	hl,bc
	ex	de,hl
	push	de
	push	hl
	call	delay
	call	delay
	call	delay
	call	delay
	pop	hl
	pop	de
	pop	bc
	djnz	blindLoop
	call _clrLCD

	ld	a,(ix+lives)
	cp	0
	jr	z,endGame
	dec	(ix+lives)
	jp 	startLevel
endGame:
	ld	de,(highScore)
	ld	hl,($8200+score)
	call	hiscr
	jp	nz,mainMenu
	ld	(highScore),hl
	ld	hl,newHighScore
	ld	bc,$3902
	call	putMessage
	jp	mainMenu


getNextByte:
	ld	a,(hl)
	inc	hl
	ret


drawRow:
	ld	b,16
drawRowLoop:
	ld	(hl),a
	inc	hl
	djnz	drawRowLoop
	ret


replace:			; replace all A's with C's
	ld	hl,$8200+levelArray
	ld	b,190
replaceLoop:
	cp	(hl)
	jr	nz,noMatch
	ld	(hl),c
noMatch:
	inc	hl
	djnz	replaceLoop
	ret


writeArray:
	call	getElementAddress
	ld	(hl),d
	ret


getElementAddress:
	ld	a,(ix+yDest)
	sla	a
	sla	a
	sla	a
	sla	a
	add	a,(ix+yDest)
	add	a,(ix+yDest)
	add	a,(ix+yDest)
	add	a,(ix+xDest)
	ld	b,0
	ld	c,a
	ld	hl,$8200+levelArray
	add	hl,bc
	ret


putPlayer:
	ld	d,(ix+xPos)
	ld	e,(ix+yPos)
	push	ix
	ld	ix,player
	jr	drawSprite

putBlock:			; B = sprite type, D = x-pos, E= y-pos
	push	ix
	push	de
	ld	ix,sprites
	ld	a,b
	cp	0
	jr	z,gotSprite
	ld	de,5
getSprite:
	add	ix,de
	djnz	getSprite
gotSprite:
	pop	de
drawSprite:
	ld	a,e
	sla	a
	sla	a
	add	a,e
	ld	l,a
	ld	a,($8200+shift)
	cp	1
	jr	nz,noShift
	inc	l
noShift:
	ld	a,d
	sla	a
	sla	a
	add	a,d
	inc	a
	ld	b,5
	call	PutSprite
	pop	ix
	ret


add25points:
	ld	hl,($8200+score)
	ld	de,25
	add	hl,de
	ld	($8200+score),hl
	ret


dispScore:
	ld	hl,($8200+score)
	call DispHL
	ld	ix,$8200
	ret


putString:
	ld a,c
	add a,16
	ld c,a
	ld	(_penCol),bc
	call _vputs
	ret


horizLine:
	ld	c,%10000000
drawLine:			; draw a horizontal line
	ld	a,c		; C = initial bit pattern
	or	(hl)		; HL -> graph buffer byte containing start of line
	ld	(hl),a
	dec	b		; B = length of line
	ld	a,b
	cp	0
	ret	z
	srl	c
	jr	nc,drawLine
	inc	hl
	ld	c,%10000000
	ld	a,b
	srl	a
	srl	a
	srl	a
	jr	z,drawLine
lineLoop:
	ld	(hl),%11111111
	inc	hl
	dec	a
	jr	nz,lineLoop
	ld	a,b
	and	%00000111
	ret	z
	ld	b,a
	jr	drawLine


putMessage:
	push	bc
	push	hl
	ld	hl,$FC00+(16*57)
	ld	a,%11111111
	ld	b,7
clearStatus:
	push	bc
	call	drawRow
	pop	bc
	djnz	clearStatus
	pop	hl
	pop	bc

	set	textInverse,(iy+textflags)
	call	putString
	ld	hl,press2nd
	call _vputs
	res	textInverse,(iy+textflags)
	ld	bc,$a0
	call	bigDelay
waitLoop:
	call	resetKeyport
	ld	a,$bf
	out	(1),a
	in	a,(1)
	cp	223			; 2nd
	ret	z
	bit	0,(ix+shift)
	jr	z,waitLoop
	call	resetKeyport
	ld	a,$ef
	out	(1),a
	in	a,(1)
	cp	254			; check if 0 is pressed
	jr	nz,waitLoop
	ld	(ix+shift),0
	ret


delay:
	ld	b,0
delayLoop:
	res	7,(ix+keys)
	djnz	delayLoop
	ret


bigDelay:
	push	bc
	call	delay
	pop	bc
	djnz	bigDelay
	ret


resetKeyport:
	ld	a,$ff			; reset keyport
	out	(1),a
	ret


skipScreen:
	push	bc
	ld	a,(de)
	inc	de
	inc	a
	inc	a
	ld	b,0
	ld	c,a
	add	hl,bc
	pop	bc
	djnz	skipScreen
	ret



;-----> Draw a sprite
; b=size of sprite
; l=yc
; a=xc
; ix holds pointer

PutSprite:
		ld h,a
		ld a,b
		ld (label1),a
		ld (label2),a
		ld a,h
		add a,16
		ld e,l
       push    ix              ; Save sprite address

;   Calculate the address in graphbuf   

	ld      hl,0            ; Do y*12
	ld      d,0
	ex      de,hl
	add     hl,hl
	add     hl,hl
	add     hl,hl
	add     hl,hl

	ld      d,0             ; Do x/8
	ld      e,a
	srl     e
	srl     e
	srl     e
	add     hl,de

	ld      de,_plotSScreen
	add     hl,de           ; Add address to graphbuf

	ld      b,00000111b     ; Get the remainder of x/8
	and     b
	cp      0               ; Is this sprite aligned to 8*n,y?
	jr      z,ALIGN


;   Non aligned sprite blit starts here   

	pop     ix              ; ix->sprite
	ld      d,a             ; d=how many bits to shift each line

	ld      e,8             ; Line loop

label1 = $-1

LILOP:  ld      b,(ix+0)        ; Get sprite data

	ld      c,0             ; Shift loop
	push    de
SHLOP:  srl     b
	rr      c
	dec     d
	jr      nz,SHLOP
	pop     de

	ld      a,b             ; Write line to graphbuf
	xor     (hl)
	ld      (hl),a
	inc     hl
	ld      a,c
	xor     (hl)
	ld      (hl),a

	ld      bc,15           ; Calculate next line address
	add     hl,bc
	inc     ix              ; Inc spritepointer

	dec     e
	jr      nz,LILOP        ; Next line

	jr      DONE1


;   Aligned sprite blit starts here   

ALIGN:                          ; Blit an aligned sprite to graphbuf
	pop     de              ; de->sprite
	ld      b,8

label2 = $-1

ALOP1:  ld      a,(de)
	xor      (hl)            ; xor=erase/blit
	ld      (hl),a
	inc     de
	push    bc
	ld      bc,16
	add     hl,bc
	pop     bc
	djnz    ALOP1

DONE1:
	ret



DispA:                                  ;Routine to Display A [By: Matthew Shepcar]
 ld l,a                                 ;Loads a into l
 ld h,0                                 ;0 into H
DispHL:                                 ;Displays HL [By: Matthew Shepcar]
 xor a                                  ;Loads 0 into A
 ld de,-1                               ;Loads -1 into DE
 ld (_curRow),de                        ;Loads de into CurRow
 call 4A33h                             ;Calls 4A33h
 dec hl                                 ;Decrease it
 jp _vputs                              ;Put on screen and return

Quit:
	call _clrLCD
	call _homeup
	ld hl,_asapvar

	rst 20h

	rst 10h

	ld a,b

	ld hl,highScore-_asm_exec_ram+4

	add hl,de

	adc a,0

	call _set_abs_dest_addr

	xor a

	ld hl,highScore

	call _set_abs_src_addr

	ld hl,3

	call _set_mm_num_bytes

	jp _mm_ldir





;---------= High Score =---------
; Input: de=previous high score
;	hl=current score
; Output: hl=high score
;	z=1 (a=0) if new high score, z=0 (a=1) if not
; Registers destroyed: af, de, hl
hiscr:	push	hl
	xor	a
	sbc	hl,de
	pop	hl
	jr	z,nnhs
	jr	nc,nhs
nnhs:	ex	de,hl
	inc	a
	ret
nhs:	or	a
	ret


titlePic:
 .db %11111111,%01111000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %10000001,%11001100,%00000000,%00000000,%00000000,%00000000,%01111000,%00000000
 .db %10011111,%11001101,%11110011,%11111110,%00111110,%01111110,%01001100,%11111100
 .db %10011111,%11001111,%00011010,%00000011,%01100011,%01000011,%01000111,%10000110
 .db %10000011,%01001110,%01001110,%01001001,%11001001,%11001001,%11001111,%00111110
 .db %10011111,%01001110,%00001110,%01001001,%11000001,%11001001,%11001111,%10001110
 .db %10011111,%01001110,%01111110,%01001001,%11001111,%11001001,%11001101,%11100110
 .db %10000001,%11001111,%00011110,%01001001,%11100011,%11001001,%11100111,%00001110
 .db %11111111,%11111101,%11111011,%11111111,%10111111,%01111111,%10111111,%11111110
 .db %01111111,%10111100,%11111001,%11111111,%10011111,%00111111,%10011110,%11111100


sprites:
	.db	%00000000
	.db	%00000000
	.db	%00000000
	.db	%00000000
	.db	%00000000

	.db	%00000000
	.db	%01010000
	.db	%00100000
	.db	%01010000
	.db	%00000000

	.db	%00000000
	.db	%00000000
	.db	%00000000
	.db	%00000000
	.db	%00000000

	.db	%11111000
	.db	%10101000
	.db	%11011000
	.db	%10101000
	.db	%11111000

	.db	%11111000
	.db	%11111000
	.db	%11111000
	.db	%11111000
	.db	%11111000

	.db	%11111000
	.db	%11011000
	.db	%10101000
	.db	%11011000
	.db	%11111000

	.db	%00000000
	.db	%00100000
	.db	%01111000
	.db	%00100000
	.db	%00000000

	.db	%00000000
	.db	%00100000
	.db	%11110000
	.db	%00100000
	.db	%00000000

	.db	%00000000
	.db	%00100000
	.db	%01110000
	.db	%00100000
	.db	%00100000

	.db	%00100000
	.db	%00100000
	.db	%01110000
	.db	%00100000
	.db	%00000000

	.db	%00000000
	.db	%01110000
	.db	%01010000
	.db	%01110000
	.db	%00000000

	.db	%00100000
	.db	%01010000
	.db	%01110000
	.db	%01010000
	.db	%00100000

	.db	%00100000
	.db	%01100000
	.db	%00100000
	.db	%00100000
	.db	%01110000

	.db	%00100000
	.db	%01100000
	.db	%00100000
	.db	%01110000
	.db	%00100000

	.db	%00100000
	.db	%01100000
	.db	%00100000
	.db	%01010000
	.db	%00100000

	.db	%00000000
	.db	%00100000
	.db	%01110000
	.db	%00100000
	.db	%01110000

	.db	%00000000
	.db	%00100000
	.db	%01010000
	.db	%00100000
	.db	%01110000

	.db	%01110000
	.db	%01110000
	.db	%01110000
	.db	%01110000
	.db	%01110000

	.db	%01010000
	.db	%01010000
	.db	%01010000
	.db	%01010000
	.db	%01010000

	.db	%00000000
	.db	%01110000
	.db	%10111000
	.db	%01110000
	.db	%00000000

	.db	%00000000
	.db	%01110000
	.db	%11101000
	.db	%01110000
	.db	%00000000

	.db	%01110000
	.db	%10001000
	.db	%10101000
	.db	%10001000
	.db	%01110000

	.db	%11111000
	.db	%01010000
	.db	%01110000
	.db	%01010000
	.db	%11111000

	.db	%11111000
	.db	%10001000
	.db	%10101000
	.db	%10001000
	.db	%11111000

	.db	%01110000
	.db	%11111000
	.db	%11111000
	.db	%11111000
	.db	%01110000

player:
	.db	%01110000
	.db	%10001000
	.db	%10001000
	.db	%10001000
	.db	%01110000


menuURL:
	.db	"http://badja.calc.org",0
menuStart:
	.db	"2nd - Start",0
menuBoard:
	.db	"Left/Right - Board: ",0
menuExit:
	.db	"EXIT - Exit",0
menuDelHi:
	.db	"MORE - Clear high score",0
	.db	"and saved board",0
menuHighScore:
	.db	"High score: ",0

status:
	.db	"Keys",0
	.db	"Score: ",0
nrg:	.db	"Energy",0
	.db	"Board ",0
dash:	.db	"-",0

boardComplete:
	.db	" Board complete",0

gameComplete:
	.db	"  Game complete",0

outOfEnergy:
	.db	"Out of energy",0

youHaveDied:
	.db	"You have died",0

suicide:
	.db	"          Suicide",0

newHighScore:
	.db	"New high score!",0

confirmDelete:
	.db	"Yes -- Press 0  No",0

press2nd:
	.db	" -- Press 2nd",0

destCases:
	.dw	dNothing, dExit, dFloor, dWall, dWall
	.dw	dWall, dLeft, dRight, dUp, dDown
	.dw	dShard, dEnergy, d1up, dKeyDark, dKeyLight
	.dw	dLockDark, dLockLight, dWall, dWall, dSwitchLeft
	.dw	dSwitchRight, dRound, dWall, dSquare, dHole

teleporters:
	.db	2,5,7,7, 5,7,0,5
	.db	3,1,17,8, 15,8,1,1
	.db	0,6,8,8, 6,8,2,6
	.db	6,2,19,8, 17,8,8,2

boardLengths:
	.db	4,7,7,6,5,9,8

screenLengths:
	.db	71, 81, 40, 88, 87, 81, 58, 78, 70, 79, 85, 69, 72, 55, 77, 64, 81, 64, 92, 79, 139, 94, 71
	.db	151, 115, 160, 83, 108, 99, 106, 67, 67, 109, 74, 141, 81, 72, 97, 117, 140, 76, 71, 105, 73, 154, 79

levels:
 .db	 0, 1
	.db	%00011111
	.db	%00011101
	.db	%00100000
	.db	%00011011
	.db	%00010011
	.db	%01010000
	.db	%00010111
	.db	%00010000
	.db	%10010000
	.db	%01011001
	.db	%01100000
	.db	%00011101
	.db	%00010000
	.db	%00011010
	.db	%00010000
	.db	%00011010
	.db	%01011000
	.db	%00100000
	.db	%01011001
	.db	%00011001
	.db	%00101000
	.db	%00011000
	.db	%00010000
	.db	%00110000
	.db	%00010001
	.db	%00011000
	.db	%01011000
	.db	%00010001
	.db	%00011000
	.db	%00101000
	.db	%00011101
	.db	%00101001
	.db	%00011000
	.db	%00010000
	.db	%00011111
	.db	%00101111
	.db	%00101000
	.db	%00011000
	.db	%00010000
	.db	%00011111
	.db	%00011010
	.db	%00100000
	.db	%00011011
	.db	%00101000
	.db	%00011000
	.db	%00010111
	.db	%00010011
	.db	%10010000
	.db	%00010011
	.db	%00011011
	.db	%01001000
	.db	%01000000
	.db	%00011010
	.db	%00010000
	.db	%00011010
	.db	%11000000
	.db	%00100000
	.db	%00010001
	.db	%00011010
	.db	%01110000
	.db	%00010011
	.db	%00011000
	.db	%10000000
	.db	%00010001
	.db	%00011000
	.db	%00101000
	.db	%00011101
	.db	%00101000
	.db	%00011111
	.db	%00011010
	.db	%00101111
 .db	 0, 1
	.db	%00011111
	.db	%00011111
	.db	%00011010
	.db	%00010001
	.db	%01011000
	.db	%00010111
	.db	%00010001
	.db	%10000000
	.db	%10010000
	.db	%00010001
	.db	%01101000
	.db	%00011100
	.db	%00101000
	.db	%00010000
	.db	%00011001
	.db	%00101000
	.db	%00010000
	.db	%00011010
	.db	%01011000
	.db	%00011000
	.db	%00010000
	.db	%01010000
	.db	%00011001
	.db	%01010000
	.db	%00010001
	.db	%00110000
	.db	%00010001
	.db	%00011000
	.db	%01011000
	.db	%00010001
	.db	%00011000
	.db	%00100000
	.db	%00011010
	.db	%01010001
	.db	%00011001
	.db	%01010000
	.db	%00010001
	.db	%00101000
	.db	%00010001
	.db	%00011100
	.db	%00100010
	.db	%00011000
	.db	%01010010
	.db	%00011000
	.db	%01010000
	.db	%00010001
	.db	%00101000
	.db	%00010001
	.db	%00011000
	.db	%00010010
	.db	%00011111
	.db	%00011000
	.db	%01010000
	.db	%00010001
	.db	%00110000
	.db	%00010111
	.db	%00010000
	.db	%01111000
	.db	%10001000
	.db	%00010011
	.db	%00011010
	.db	%00101000
	.db	%00010001
	.db	%00011001
	.db	%00101000
	.db	%00010000
	.db	%00011100
	.db	%01011001
	.db	%00011010
	.db	%01011000
	.db	%00010011
	.db	%00011000
	.db	%01110000
	.db	%00010001
	.db	%00011000
	.db	%00100010
	.db	%00011011
	.db	%00100000
	.db	%00011111
	.db	%00011010
	.db	%00100111
 .db	 0, 1
	.db	%00011111
	.db	%00011111
	.db	%00011010
	.db	%00010111
	.db	%00010111
	.db	%00010010
	.db	%00011001
	.db	%00010000
	.db	%00011000
	.db	%00101000
	.db	%00011110
	.db	%00010000
	.db	%00011000
	.db	%00100000
	.db	%00011011
	.db	%00000000
	.db	%00011000
	.db	%00010101
	.db	%01011000
	.db	%00010011
	.db	%00011000
	.db	%00000101
	.db	%00011010
	.db	%00101000
	.db	%00011100
	.db	%00101000
	.db	%00011010
	.db	%00000111
	.db	%00000111
	.db	%00000111
	.db	%00000111
	.db	%00000111
	.db	%00000111
	.db	%00000111
	.db	%00000111
	.db	%00000111
	.db	%00000111
	.db	%00000111
	.db	%00000111
	.db	%00000011
 .db	 0, 1
	.db	%00011111
	.db	%00011011
	.db	%00101001
	.db	%00011011
	.db	%00100000
	.db	%00010001
	.db	%01010000
	.db	%00010000
	.db	%01010000
	.db	%00010000
	.db	%01010000
	.db	%00010000
	.db	%01010000
	.db	%00010000
	.db	%01010000
	.db	%00010000
	.db	%10001000
	.db	%01010000
	.db	%00010000
	.db	%01010000
	.db	%00010000
	.db	%01010000
	.db	%00001000
	.db	%00011000
	.db	%00010000
	.db	%00011010
	.db	%00101000
	.db	%00011011
	.db	%00010000
	.db	%00011100
	.db	%00100000
	.db	%00011010
	.db	%00010000
	.db	%00011001
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011010
	.db	%00010000
	.db	%00011001
	.db	%00010011
	.db	%00011000
	.db	%00000000
	.db	%00011000
	.db	%00010111
	.db	%00010001
	.db	%01101000
	.db	%00011000
	.db	%00010000
	.db	%00011001
	.db	%00010000
	.db	%00011000
	.db	%00000000
	.db	%00011001
	.db	%11000000
	.db	%00011110
	.db	%00010000
	.db	%00011001
	.db	%00010000
	.db	%00011000
	.db	%01111000
	.db	%00010000
	.db	%00011000
	.db	%00000000
	.db	%00011001
	.db	%01010000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00000010
	.db	%00101000
	.db	%00010011
	.db	%00011000
	.db	%00101000
	.db	%00011001
	.db	%00000000
	.db	%00011100
	.db	%00000011
	.db	%00100000
	.db	%00011010
	.db	%00101000
	.db	%00011000
	.db	%00000111
	.db	%00000111
	.db	%00000111
	.db	%00000111
	.db	%00000111
	.db	%00000001
 .db	 0, 1
	.db	%00011111
	.db	%00011111
	.db	%00011001
	.db	%00000000
	.db	%00010110
	.db	%00011000
	.db	%01101000
	.db	%00011000
	.db	%01011000
	.db	%00010010
	.db	%01110000
	.db	%00011000
	.db	%00010001
	.db	%00000000
	.db	%00010110
	.db	%00011000
	.db	%00010000
	.db	%00111000
	.db	%00010011
	.db	%01010000
	.db	%00011000
	.db	%00010000
	.db	%00011000
	.db	%00000000
	.db	%00010001
	.db	%00011001
	.db	%01000000
	.db	%00011001
	.db	%00010001
	.db	%00011010
	.db	%01000000
	.db	%00011010
	.db	%00010000
	.db	%00011000
	.db	%00000000
	.db	%00010001
	.db	%00111000
	.db	%00010000
	.db	%01011000
	.db	%00010000
	.db	%00110000
	.db	%00010111
	.db	%00010001
	.db	%00011000
	.db	%00000000
	.db	%01010000
	.db	%00010000
	.db	%00011001
	.db	%01001000
	.db	%00011001
	.db	%00010010
	.db	%00011101
	.db	%00010000
	.db	%00011000
	.db	%00000000
	.db	%01010000
	.db	%00010111
	.db	%00010000
	.db	%00011000
	.db	%00010101
	.db	%00011000
	.db	%00000000
	.db	%00011000
	.db	%01000000
	.db	%00011111
	.db	%00011000
	.db	%01000000
	.db	%00011001
	.db	%01001000
	.db	%00011010
	.db	%00000000
	.db	%01010111
	.db	%01010000
	.db	%00010000
	.db	%00110000
	.db	%00010000
	.db	%10010000
	.db	%10001000
	.db	%00010000
	.db	%01111000
	.db	%10000000
	.db	%00011000
	.db	%00000000
	.db	%00011111
	.db	%00011111
	.db	%00011001
	.db	%00000000
 .db	 0, 1
	.db	%00011111
	.db	%00011111
	.db	%00011001
	.db	%00000000
	.db	%00010000
	.db	%00111000
	.db	%00010001
	.db	%10001000
	.db	%01110000
	.db	%01011000
	.db	%01111000
	.db	%00010111
	.db	%00010000
	.db	%00011000
	.db	%00000000
	.db	%01001000
	.db	%00011001
	.db	%01001000
	.db	%00011111
	.db	%00011000
	.db	%01000000
	.db	%00011011
	.db	%00000000
	.db	%00010000
	.db	%00111000
	.db	%00010111
	.db	%00010101
	.db	%10000000
	.db	%00011000
	.db	%00000000
	.db	%01011000
	.db	%00011001
	.db	%01001000
	.db	%00011111
	.db	%00011000
	.db	%01001000
	.db	%00011011
	.db	%00000000
	.db	%01010000
	.db	%00011000
	.db	%00010010
	.db	%00011000
	.db	%01010001
	.db	%01011000
	.db	%01010001
	.db	%00011000
	.db	%00010100
	.db	%00011000
	.db	%00000000
	.db	%01010000
	.db	%00011000
	.db	%00010010
	.db	%10010000
	.db	%00010100
	.db	%00111000
	.db	%00010100
	.db	%00011000
	.db	%00000000
	.db	%01010000
	.db	%00011000
	.db	%01010010
	.db	%00011110
	.db	%00010010
	.db	%00011010
	.db	%00000000
	.db	%01010000
	.db	%00011000
	.db	%01101000
	.db	%01010000
	.db	%00010000
	.db	%00110000
	.db	%00010000
	.db	%01011000
	.db	%00010110
	.db	%10010000
	.db	%00010001
	.db	%00000000
	.db	%00011111
	.db	%00011111
	.db	%00011001
	.db	%00000000
 .db	 0, 8
	.db	%00000000
	.db	%00100000
	.db	%00011111
	.db	%00011111
	.db	%00000001
	.db	%00011000
	.db	%00010010
	.db	%01010010
	.db	%00010010
	.db	%00110000
	.db	%00010101
	.db	%00000001
	.db	%00011000
	.db	%00010000
	.db	%00011111
	.db	%00011000
	.db	%00010001
	.db	%00011011
	.db	%00000001
	.db	%00011000
	.db	%00010000
	.db	%00011100
	.db	%00010101
	.db	%00011000
	.db	%00000100
	.db	%00011000
	.db	%00010010
	.db	%01011000
	.db	%01110000
	.db	%00111000
	.db	%00010001
	.db	%00011100
	.db	%00000100
	.db	%00100000
	.db	%00011101
	.db	%00010001
	.db	%00011000
	.db	%00000111
	.db	%00000010
	.db	%00011011
	.db	%00010001
	.db	%00011000
	.db	%00100000
	.db	%00000111
	.db	%00011010
	.db	%00010101
	.db	%00011000
	.db	%00000111
	.db	%00000000
	.db	%00010100
	.db	%00011011
	.db	%00100000
	.db	%00000111
	.db	%00000000
	.db	%00011100
	.db	%00100000
	.db	%00000111
	.db	%00000100
 .db	 0, 1
	.db	%00011111
	.db	%00011111
	.db	%00011010
	.db	%00010001
	.db	%01011000
	.db	%00010101
	.db	%11000000
	.db	%00010001
	.db	%10000000
	.db	%00011000
	.db	%00010000
	.db	%10001000
	.db	%10010000
	.db	%00010001
	.db	%01000000
	.db	%00011000
	.db	%01001000
	.db	%00011110
	.db	%01000000
	.db	%00011010
	.db	%01000000
	.db	%00011011
	.db	%00010000
	.db	%00011000
	.db	%00010000
	.db	%00011000
	.db	%00010111
	.db	%00010100
	.db	%00011000
	.db	%00000000
	.db	%00010000
	.db	%00011000
	.db	%00010000
	.db	%00011000
	.db	%00010000
	.db	%00011111
	.db	%00011000
	.db	%01000000
	.db	%00011000
	.db	%00010000
	.db	%00011000
	.db	%00000000
	.db	%00010000
	.db	%00011000
	.db	%00010000
	.db	%00011000
	.db	%01011000
	.db	%00010110
	.db	%10000000
	.db	%01011001
	.db	%00011000
	.db	%00010000
	.db	%00011000
	.db	%00000000
	.db	%01111000
	.db	%00011000
	.db	%00010000
	.db	%00011111
	.db	%00011010
	.db	%01001000
	.db	%00011000
	.db	%00010000
	.db	%00011000
	.db	%00000000
	.db	%00010000
	.db	%00110000
	.db	%00010111
	.db	%00010110
	.db	%00011000
	.db	%00000000
	.db	%00011111
	.db	%00011111
	.db	%00011001
	.db	%00000000
	.db	%00011111
	.db	%00011111
	.db	%00011001
	.db	%00000000
 .db	 0, 1
	.db	%00011111
	.db	%00011111
	.db	%00011001
	.db	%00000000
	.db	%00010011
	.db	%01011000
	.db	%00010011
	.db	%10110000
	.db	%00010000
	.db	%10000000
	.db	%10010000
	.db	%00010100
	.db	%00000000
	.db	%00011111
	.db	%00010000
	.db	%00011000
	.db	%00010000
	.db	%00011110
	.db	%00000000
	.db	%00011111
	.db	%00010000
	.db	%00011000
	.db	%01000000
	.db	%00011110
	.db	%00000000
	.db	%00010111
	.db	%00010010
	.db	%10010000
	.db	%00010100
	.db	%00011000
	.db	%00000000
	.db	%00010000
	.db	%00011100
	.db	%01001000
	.db	%00011010
	.db	%11000000
	.db	%00011100
	.db	%00010000
	.db	%00011000
	.db	%00000000
	.db	%00010000
	.db	%00110000
	.db	%00010101
	.db	%00110000
	.db	%00010001
	.db	%01011000
	.db	%00010001
	.db	%01110000
	.db	%00111000
	.db	%00010000
	.db	%00011000
	.db	%00000000
	.db	%00010000
	.db	%00011101
	.db	%00010000
	.db	%00011000
	.db	%00010000
	.db	%00011101
	.db	%01011000
	.db	%00011000
	.db	%00000000
	.db	%00010111
	.db	%00111000
	.db	%00010111
	.db	%00011000
	.db	%00000000
	.db	%00011111
	.db	%00011111
	.db	%00011001
	.db	%00000000
 .db	 0, 1
	.db	%00011111
	.db	%00011111
	.db	%00011010
	.db	%00010001
	.db	%01011000
	.db	%00010111
	.db	%00010111
	.db	%00011100
	.db	%01000000
	.db	%00011111
	.db	%00011100
	.db	%00000011
	.db	%00100000
	.db	%00010000
	.db	%00100000
	.db	%00000111
	.db	%00000011
	.db	%00100000
	.db	%00101011
	.db	%01000000
	.db	%00101111
	.db	%00101000
	.db	%00100000
	.db	%00101011
	.db	%01110000
	.db	%01010010
	.db	%00010000
	.db	%01010010
	.db	%00010000
	.db	%01010010
	.db	%00010101
	.db	%00101000
	.db	%01101000
	.db	%01010000
	.db	%00010000
	.db	%01010000
	.db	%00010000
	.db	%01010000
	.db	%00010000
	.db	%01010000
	.db	%00010000
	.db	%01010000
	.db	%00010000
	.db	%01010000
	.db	%00010001
	.db	%00100000
	.db	%00101011
	.db	%01011000
	.db	%01010000
	.db	%00010000
	.db	%01010000
	.db	%00010000
	.db	%01010000
	.db	%00010000
	.db	%01010000
	.db	%00010000
	.db	%01010000
	.db	%00010000
	.db	%01010000
	.db	%00010001
	.db	%00101000
	.db	%00000010
	.db	%00101000
	.db	%01100000
	.db	%01010000
	.db	%00010000
	.db	%01010010
	.db	%00010000
	.db	%01010010
	.db	%00010000
	.db	%01010001
	.db	%01011000
	.db	%00101000
	.db	%00000010
	.db	%00100000
	.db	%00101111
	.db	%00101101
	.db	%00100000
	.db	%00000010
 .db	 0, 1
	.db	%00011111
	.db	%00011111
	.db	%00011010
	.db	%00010000
	.db	%00111000
	.db	%00010111
	.db	%00010001
	.db	%10000000
	.db	%10010000
	.db	%00010010
	.db	%00011001
	.db	%01001000
	.db	%00011000
	.db	%01001000
	.db	%01000000
	.db	%00011011
	.db	%01000000
	.db	%00011100
	.db	%01001000
	.db	%00011011
	.db	%00010000
	.db	%00111000
	.db	%00010000
	.db	%01011000
	.db	%00011000
	.db	%00000001
	.db	%00011000
	.db	%00010000
	.db	%00011000
	.db	%00010100
	.db	%10001000
	.db	%00010000
	.db	%00001000
	.db	%00011000
	.db	%00010000
	.db	%00011001
	.db	%00010001
	.db	%00011010
	.db	%00010000
	.db	%00011000
	.db	%01111000
	.db	%00011111
	.db	%01011000
	.db	%00011000
	.db	%00000000
	.db	%00011000
	.db	%00010101
	.db	%00011010
	.db	%01010001
	.db	%01101000
	.db	%00110000
	.db	%00010010
	.db	%00011000
	.db	%00000000
	.db	%00011000
	.db	%00010010
	.db	%00011010
	.db	%00000001
	.db	%00011000
	.db	%01010000
	.db	%00011100
	.db	%00010000
	.db	%00011001
	.db	%00010001
	.db	%00011000
	.db	%00010001
	.db	%00011100
	.db	%00010000
	.db	%00011100
	.db	%00010000
	.db	%00110000
	.db	%01110000
	.db	%00010000
	.db	%00011000
	.db	%00000000
	.db	%00011000
	.db	%00010110
	.db	%10001000
	.db	%00010000
	.db	%00111000
	.db	%00010001
	.db	%00011100
	.db	%00000000
	.db	%00011111
	.db	%00011100
 .db	 0, 1
	.db	%00011111
	.db	%00011111
	.db	%00011010
	.db	%00010111
	.db	%00010110
	.db	%10001000
	.db	%01011000
	.db	%01110000
	.db	%00011000
	.db	%01011000
	.db	%00011010
	.db	%00010000
	.db	%00011111
	.db	%00011111
	.db	%01101000
	.db	%00011000
	.db	%00010111
	.db	%00010011
	.db	%01011000
	.db	%01111000
	.db	%00100000
	.db	%01011000
	.db	%01010000
	.db	%00010000
	.db	%00011000
	.db	%00010001
	.db	%00011011
	.db	%00100000
	.db	%00011011
	.db	%00101000
	.db	%00011100
	.db	%00010000
	.db	%00011000
	.db	%00010111
	.db	%00010011
	.db	%01010000
	.db	%01011000
	.db	%00011010
	.db	%00010000
	.db	%00011000
	.db	%00010000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00100000
	.db	%00011011
	.db	%00101000
	.db	%00011011
	.db	%01010000
	.db	%10010000
	.db	%00010000
	.db	%00011000
	.db	%00010000
	.db	%00011011
	.db	%00101000
	.db	%00011001
	.db	%01010100
	.db	%00010001
	.db	%01010000
	.db	%00011000
	.db	%00010111
	.db	%00010010
	.db	%00011010
	.db	%00101000
	.db	%00011111
	.db	%00011110
	.db	%00101001
	.db	%00011011
 .db	 0, 6
	.db	%00011111
	.db	%00011001
	.db	%00100000
	.db	%00011101
	.db	%00101000
	.db	%00011000
	.db	%00010101
	.db	%10010000
	.db	%00010000
	.db	%10010000
	.db	%10000000
	.db	%00010111
	.db	%00011000
	.db	%00010000
	.db	%00101000
	.db	%00100000
	.db	%00011001
	.db	%00100000
	.db	%00011000
	.db	%00010000
	.db	%00011000
	.db	%00100000
	.db	%00011011
	.db	%00010000
	.db	%00011011
	.db	%00010000
	.db	%00011011
	.db	%00010001
	.db	%01101000
	.db	%01011000
	.db	%00010000
	.db	%10010000
	.db	%00010100
	.db	%10001000
	.db	%00010010
	.db	%00011000
	.db	%00010001
	.db	%10010000
	.db	%00010000
	.db	%00011111
	.db	%00011000
	.db	%00010000
	.db	%00011010
	.db	%01011000
	.db	%00011000
	.db	%00010000
	.db	%00011111
	.db	%00101000
	.db	%00011010
	.db	%00010000
	.db	%00011001
	.db	%00101000
	.db	%00010111
	.db	%00010111
	.db	%00010001
	.db	%00011010
	.db	%01001000
	.db	%00011111
	.db	%00011000
	.db	%01000000
	.db	%00011101
	.db	%01111000
	.db	%00010111
	.db	%00010110
	.db	%00011000
	.db	%00000001
	.db	%00011010
	.db	%00101000
	.db	%00011111
	.db	%00101000
	.db	%00011011
	.db	%00000001
 .db	 0, 1
	.db	%00011111
	.db	%00011000
	.db	%00100000
	.db	%00011111
	.db	%00011000
	.db	%00010000
	.db	%01011000
	.db	%00010001
	.db	%10010000
	.db	%01101000
	.db	%01011000
	.db	%00010100
	.db	%01010010
	.db	%10110000
	.db	%00010001
	.db	%00011000
	.db	%00010001
	.db	%00011000
	.db	%00101000
	.db	%00011110
	.db	%00010000
	.db	%00011011
	.db	%00010110
	.db	%10010000
	.db	%00010111
	.db	%00010100
	.db	%00011000
	.db	%00010010
	.db	%00011111
	.db	%00011111
	.db	%00010010
	.db	%00011001
	.db	%01011000
	.db	%00011101
	.db	%10000000
	.db	%00011000
	.db	%00000100
	.db	%00010001
	.db	%00011010
	.db	%00010111
	.db	%00011000
	.db	%00000100
	.db	%00011000
	.db	%00010100
	.db	%00011111
	.db	%00000100
	.db	%00011000
	.db	%01110000
	.db	%00011100
	.db	%00000111
	.db	%00000100
	.db	%00011000
	.db	%00000111
	.db	%00000111
	.db	%00000000
 .db	 1, 2
	.db	%00011010
	.db	%00101000
	.db	%00011111
	.db	%00011110
	.db	%00010111
	.db	%00010001
	.db	%01111000
	.db	%01011000
	.db	%00010010
	.db	%01010010
	.db	%00011000
	.db	%00010001
	.db	%00011000
	.db	%01010000
	.db	%00011000
	.db	%01010000
	.db	%00011000
	.db	%01010000
	.db	%00011110
	.db	%01000000
	.db	%00011010
	.db	%00010001
	.db	%10110000
	.db	%00010000
	.db	%10110000
	.db	%00010000
	.db	%10110000
	.db	%00010000
	.db	%10001000
	.db	%00010000
	.db	%00011100
	.db	%00010000
	.db	%01010001
	.db	%00011001
	.db	%00010000
	.db	%00011000
	.db	%01010000
	.db	%00011000
	.db	%01010000
	.db	%00011000
	.db	%01010000
	.db	%10001000
	.db	%00010001
	.db	%01110000
	.db	%00010000
	.db	%10010000
	.db	%00010001
	.db	%00011001
	.db	%00001000
	.db	%00010111
	.db	%10001000
	.db	%00010000
	.db	%00011011
	.db	%00010001
	.db	%00011010
	.db	%00010000
	.db	%00011011
	.db	%10000000
	.db	%00011100
	.db	%00010011
	.db	%00011001
	.db	%00101000
	.db	%00011000
	.db	%00010000
	.db	%00011010
	.db	%00101000
	.db	%01011000
	.db	%00010101
	.db	%00011110
	.db	%00010010
	.db	%01011000
	.db	%00011110
	.db	%00010111
	.db	%00011100
	.db	%00000100
	.db	%00011111
	.db	%00011000
 .db	 0, 8
	.db	%00000000
	.db	%00011111
	.db	%00011111
	.db	%00011001
	.db	%00000000
	.db	%00011000
	.db	%00010111
	.db	%00010110
	.db	%10010000
	.db	%00010000
	.db	%00000000
	.db	%00011000
	.db	%00010000
	.db	%00011100
	.db	%01001000
	.db	%11000000
	.db	%00011111
	.db	%00011010
	.db	%00010000
	.db	%00011000
	.db	%00010111
	.db	%00010010
	.db	%10001000
	.db	%10000000
	.db	%01011000
	.db	%00011000
	.db	%00010010
	.db	%10010000
	.db	%00010000
	.db	%00011110
	.db	%00010000
	.db	%00011101
	.db	%00010001
	.db	%00011001
	.db	%00010000
	.db	%00011101
	.db	%01101000
	.db	%00010000
	.db	%00011000
	.db	%00000100
	.db	%00010000
	.db	%00011001
	.db	%00101000
	.db	%00010111
	.db	%00010000
	.db	%00011000
	.db	%00000100
	.db	%00010000
	.db	%00011010
	.db	%01111000
	.db	%01011000
	.db	%00011111
	.db	%00000100
	.db	%00010000
	.db	%01011000
	.db	%00010000
	.db	%00011000
	.db	%01110000
	.db	%00011000
	.db	%00000111
	.db	%00000100
	.db	%00011101
	.db	%00000111
	.db	%00000100
 .db	 0, 1
	.db	%00011111
	.db	%00011111
	.db	%00011010
	.db	%00010011
	.db	%00111000
	.db	%00010001
	.db	%01011000
	.db	%00010111
	.db	%00010001
	.db	%00011000
	.db	%00010000
	.db	%00011111
	.db	%01001000
	.db	%00100000
	.db	%00011000
	.db	%01000000
	.db	%00011011
	.db	%01001000
	.db	%00011000
	.db	%00010011
	.db	%00110000
	.db	%00010100
	.db	%00011000
	.db	%00101000
	.db	%00010001
	.db	%01110000
	.db	%00010010
	.db	%00011000
	.db	%01001000
	.db	%00011111
	.db	%00011100
	.db	%01001000
	.db	%00011001
	.db	%01000000
	.db	%00011000
	.db	%00010000
	.db	%01010011
	.db	%00010000
	.db	%01101000
	.db	%00010101
	.db	%00011000
	.db	%00010011
	.db	%00011000
	.db	%01000000
	.db	%00011111
	.db	%01000000
	.db	%00011001
	.db	%01001000
	.db	%00011010
	.db	%00010000
	.db	%01011000
	.db	%00011000
	.db	%01011000
	.db	%10010000
	.db	%11000000
	.db	%00010001
	.db	%10010000
	.db	%00010001
	.db	%00011000
	.db	%00010001
	.db	%00110000
	.db	%00010010
	.db	%00011000
	.db	%10000000
	.db	%00011001
	.db	%01111000
	.db	%10010000
	.db	%00010001
	.db	%11000000
	.db	%10010000
	.db	%00010001
	.db	%10010000
	.db	%00010000
	.db	%01010000
	.db	%00011010
	.db	%00010010
	.db	%10001000
	.db	%00010000
	.db	%00011111
	.db	%00011111
	.db	%00011010
 .db	 0, 8
	.db	%00011011
	.db	%00101000
	.db	%00011111
	.db	%00011111
	.db	%00011000
	.db	%00101000
	.db	%00100000
	.db	%00101000
	.db	%00011111
	.db	%00011100
	.db	%00101011
	.db	%00100001
	.db	%00101000
	.db	%00011010
	.db	%00101111
	.db	%00101000
	.db	%00100110
	.db	%00101000
	.db	%00011001
	.db	%00101000
	.db	%00010101
	.db	%00001000
	.db	%00101100
	.db	%00100001
	.db	%00101000
	.db	%00011010
	.db	%00101000
	.db	%00010000
	.db	%00101110
	.db	%00011010
	.db	%00101000
	.db	%00100000
	.db	%00101000
	.db	%00011011
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00011111
	.db	%00011001
	.db	%00101000
	.db	%00011100
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00011100
	.db	%00000000
	.db	%00101111
	.db	%00101010
	.db	%01000000
	.db	%00101000
	.db	%00011011
	.db	%00000001
	.db	%00010001
	.db	%01011000
	.db	%00010001
	.db	%01010010
	.db	%00010011
	.db	%00101000
	.db	%00011010
	.db	%00000010
	.db	%00101111
	.db	%00101100
	.db	%00011001
	.db	%00000011
 .db	 7, 1
	.db	%00000100
	.db	%00011000
	.db	%00100000
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00000111
	.db	%00000000
	.db	%00011101
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00011110
	.db	%00000010
	.db	%00011001
	.db	%00010001
	.db	%10010000
	.db	%01101000
	.db	%00100000
	.db	%00010000
	.db	%00100000
	.db	%00011001
	.db	%01111000
	.db	%00010010
	.db	%00011010
	.db	%00000000
	.db	%01110000
	.db	%00010010
	.db	%00011010
	.db	%01001000
	.db	%00011010
	.db	%00010000
	.db	%00011001
	.db	%00010001
	.db	%01010000
	.db	%00011000
	.db	%00000000
	.db	%00011000
	.db	%00010000
	.db	%00011000
	.db	%00010000
	.db	%01011000
	.db	%00010000
	.db	%00110000
	.db	%00010000
	.db	%00111000
	.db	%00010000
	.db	%01011000
	.db	%00010001
	.db	%00111000
	.db	%00010000
	.db	%00011010
	.db	%00000000
	.db	%00011000
	.db	%01001000
	.db	%00011001
	.db	%00010010
	.db	%00110000
	.db	%00010001
	.db	%00011001
	.db	%00010000
	.db	%00011000
	.db	%01010000
	.db	%00011000
	.db	%00000010
	.db	%00011000
	.db	%00010000
	.db	%00011010
	.db	%01001000
	.db	%00011010
	.db	%01000000
	.db	%00011001
	.db	%00010000
	.db	%00011000
	.db	%01010000
	.db	%00011011
	.db	%10000000
	.db	%00010101
	.db	%00101000
	.db	%00010001
	.db	%00110000
	.db	%00010001
	.db	%10001000
	.db	%01011000
	.db	%00111000
	.db	%00010010
	.db	%00011101
	.db	%00010010
	.db	%00011111
	.db	%00011111
	.db	%00011111
	.db	%00011100
 .db	 0, 7
	.db	%00011111
	.db	%00011000
	.db	%00000111
	.db	%00000001
	.db	%01100000
	.db	%01010000
	.db	%00011000
	.db	%01111000
	.db	%00010011
	.db	%00011111
	.db	%00011010
	.db	%01010001
	.db	%00011000
	.db	%11000011
	.db	%00010000
	.db	%00011000
	.db	%00010000
	.db	%10001000
	.db	%01011000
	.db	%00010011
	.db	%10000000
	.db	%01011000
	.db	%00011000
	.db	%01010001
	.db	%00011000
	.db	%00010010
	.db	%11000000
	.db	%00010010
	.db	%00011000
	.db	%01001000
	.db	%00011110
	.db	%00010000
	.db	%00011001
	.db	%00010000
	.db	%00011000
	.db	%00010000
	.db	%11000000
	.db	%00011001
	.db	%00010000
	.db	%00011000
	.db	%00010101
	.db	%01110000
	.db	%00011000
	.db	%00010011
	.db	%00011000
	.db	%00010000
	.db	%11000000
	.db	%00011001
	.db	%00010000
	.db	%00011000
	.db	%00010000
	.db	%00011110
	.db	%00010000
	.db	%00011011
	.db	%00010100
	.db	%00110000
	.db	%00010000
	.db	%00011010
	.db	%00010111
	.db	%00011000
	.db	%00010000
	.db	%00011100
	.db	%00010000
	.db	%00011010
	.db	%00010000
	.db	%00011101
	.db	%01011000
	.db	%00011000
	.db	%00010100
	.db	%10010000
	.db	%01101000
	.db	%10010000
	.db	%01110000
	.db	%00010001
	.db	%00011000
	.db	%00000011
	.db	%00011111
	.db	%00011110
	.db	%00000001
 .db	 0, 8
	.db	%00101101
	.db	%00100010
	.db	%00011000
	.db	%00000010
	.db	%00011000
	.db	%00100010
	.db	%00011000
	.db	%00000000
	.db	%01011000
	.db	%00101000
	.db	%01011000
	.db	%00101000
	.db	%01110000
	.db	%00111000
	.db	%00010000
	.db	%01011000
	.db	%00010000
	.db	%00100001
	.db	%00011000
	.db	%00000000
	.db	%00100000
	.db	%00010010
	.db	%00011000
	.db	%00000000
	.db	%01111000
	.db	%00101000
	.db	%10000000
	.db	%00101000
	.db	%10000000
	.db	%00101010
	.db	%00010010
	.db	%00100000
	.db	%00000000
	.db	%00100000
	.db	%00010000
	.db	%00100000
	.db	%00010000
	.db	%00100000
	.db	%00000000
	.db	%00010000
	.db	%00111000
	.db	%00010000
	.db	%00111000
	.db	%00010000
	.db	%00111000
	.db	%00010000
	.db	%00101010
	.db	%00010000
	.db	%00100010
	.db	%01000000
	.db	%00100000
	.db	%01001000
	.db	%00100000
	.db	%00000000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00010001
	.db	%01101000
	.db	%00101000
	.db	%00010000
	.db	%10001000
	.db	%00010000
	.db	%11000000
	.db	%00010000
	.db	%00100000
	.db	%00010000
	.db	%00100000
	.db	%00000000
	.db	%00010000
	.db	%00110000
	.db	%00010000
	.db	%00110000
	.db	%00010000
	.db	%00110000
	.db	%00010000
	.db	%00101010
	.db	%00010000
	.db	%00100000
	.db	%01001000
	.db	%00100000
	.db	%01000000
	.db	%00100000
	.db	%01001000
	.db	%00100000
	.db	%00000000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101010
	.db	%00010010
	.db	%00100000
	.db	%00010000
	.db	%00100000
	.db	%00010000
	.db	%00100000
	.db	%00010000
	.db	%00100000
	.db	%00000000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00010010
	.db	%00100010
	.db	%00010000
	.db	%00100000
	.db	%00010000
	.db	%00100000
	.db	%00010000
	.db	%00100000
	.db	%00000000
	.db	%00010100
	.db	%00111000
	.db	%00010000
	.db	%00100001
	.db	%00011000
	.db	%00000000
	.db	%00100000
	.db	%00010010
	.db	%00100000
	.db	%00010001
	.db	%00000000
	.db	%00101101
	.db	%00100000
	.db	%00011000
	.db	%00000010
	.db	%00011000
	.db	%00100010
	.db	%00011000
	.db	%00100001
	.db	%00000000
 .db	 0, 8
	.db	%00011111
	.db	%00011111
	.db	%00011010
	.db	%00101111
	.db	%00101110
	.db	%01101000
	.db	%00101000
	.db	%01011000
	.db	%00101000
	.db	%01011000
	.db	%01010011
	.db	%00010000
	.db	%00110000
	.db	%00010110
	.db	%00111000
	.db	%00010000
	.db	%00110000
	.db	%00010000
	.db	%00101000
	.db	%01010000
	.db	%00101101
	.db	%00010000
	.db	%00011001
	.db	%01110000
	.db	%00011001
	.db	%00010000
	.db	%00110000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%01010000
	.db	%00101101
	.db	%01000000
	.db	%00011100
	.db	%01001000
	.db	%00101000
	.db	%01001000
	.db	%00101000
	.db	%01000000
	.db	%00101000
	.db	%01010001
	.db	%00101000
	.db	%00010001
	.db	%10001000
	.db	%00111000
	.db	%00010000
	.db	%00111000
	.db	%00010000
	.db	%01011000
	.db	%00010000
	.db	%00110000
	.db	%00010000
	.db	%00111000
	.db	%00010000
	.db	%10010000
	.db	%00010001
	.db	%00101000
	.db	%10000000
	.db	%00101000
	.db	%01111000
	.db	%00101010
	.db	%01000000
	.db	%00100100
	.db	%01001000
	.db	%00101010
	.db	%00010000
	.db	%00101001
	.db	%00010000
	.db	%01011000
	.db	%00010000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00010000
	.db	%00100001
	.db	%01011000
	.db	%00100001
	.db	%00010000
	.db	%00101010
	.db	%00010000
	.db	%00101000
	.db	%00010001
	.db	%00101010
	.db	%00011000
	.db	%00101000
	.db	%00010111
	.db	%00010000
	.db	%01111000
	.db	%00010000
	.db	%00101011
	.db	%00011010
	.db	%00101111
	.db	%00101100
 .db	 0, 6
	.db	%00101111
	.db	%00101111
	.db	%00101010
	.db	%00100111
	.db	%00100111
	.db	%00100000
	.db	%00101001
	.db	%00010111
	.db	%00010110
	.db	%01010000
	.db	%00100001
	.db	%00011000
	.db	%00010000
	.db	%00011000
	.db	%00100111
	.db	%00100010
	.db	%01001000
	.db	%01000000
	.db	%00100001
	.db	%01110000
	.db	%00100000
	.db	%01011000
	.db	%00100000
	.db	%00010001
	.db	%10001000
	.db	%01011000
	.db	%10001000
	.db	%00010111
	.db	%10001000
	.db	%10010000
	.db	%00010001
	.db	%00100001
	.db	%00010000
	.db	%00100110
	.db	%00011000
	.db	%01000000
	.db	%00100100
	.db	%01101000
	.db	%00100000
	.db	%00010111
	.db	%00010000
	.db	%01111000
	.db	%00111000
	.db	%00010001
	.db	%01110000
	.db	%01100000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00100001
	.db	%00010000
	.db	%00100110
	.db	%00011000
	.db	%01001000
	.db	%00100010
	.db	%00011000
	.db	%00101011
	.db	%00100000
	.db	%00010111
	.db	%10001000
	.db	%00010001
	.db	%10000000
	.db	%01011000
	.db	%00100000
	.db	%00101011
	.db	%00011000
	.db	%00100111
	.db	%00100100
	.db	%00011000
	.db	%00101010
 .db	 0, 4
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%00010110
	.db	%01010001
	.db	%01011000
	.db	%01010111
	.db	%00011000
	.db	%00010000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%01000000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%01010000
	.db	%00100000
	.db	%01000000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%00010000
	.db	%01111000
	.db	%00010000
	.db	%00110000
	.db	%00010000
	.db	%01010110
	.db	%00011000
	.db	%00010000
	.db	%00111000
	.db	%00010010
	.db	%00011000
	.db	%01000000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%01001000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%01001000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00010000
	.db	%00100000
	.db	%00010010
	.db	%00100000
	.db	%00010100
	.db	%10001000
	.db	%00010000
	.db	%10010000
	.db	%00001000
	.db	%00010000
	.db	%00111000
	.db	%00010010
	.db	%00011000
	.db	%00010000
	.db	%00011000
	.db	%00010000
	.db	%00011000
	.db	%00010000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00010000
	.db	%00011000
	.db	%00010000
	.db	%00100000
	.db	%00011000
	.db	%01011000
	.db	%00011000
	.db	%00010000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%00010000
	.db	%00100000
	.db	%00010000
	.db	%00111000
	.db	%00010100
	.db	%10001000
	.db	%00010000
	.db	%00011000
	.db	%00100000
	.db	%00010000
	.db	%00110000
	.db	%00010100
	.db	%00011000
	.db	%00010000
	.db	%00011000
	.db	%10000000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%01010001
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%00011000
 .db	 8, 4
	.db	%00011110
	.db	%00100010
	.db	%00011010
	.db	%00101000
	.db	%00100011
	.db	%00101000
	.db	%00100000
	.db	%00101000
	.db	%00011010
	.db	%00101000
	.db	%00100001
	.db	%01101000
	.db	%00100001
	.db	%00101000
	.db	%00011000
	.db	%00100000
	.db	%00010000
	.db	%10010000
	.db	%10001000
	.db	%01011000
	.db	%00100000
	.db	%10100000
	.db	%00100000
	.db	%00011010
	.db	%00100000
	.db	%00010000
	.db	%00110000
	.db	%00010000
	.db	%00111000
	.db	%00010000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%00010000
	.db	%00100010
	.db	%00101000
	.db	%00010000
	.db	%00100100
	.db	%01001000
	.db	%00101000
	.db	%01000000
	.db	%00101000
	.db	%01001000
	.db	%00100010
	.db	%00010000
	.db	%00100010
	.db	%00101000
	.db	%00010000
	.db	%01011000
	.db	%00010100
	.db	%00110000
	.db	%00010000
	.db	%00110000
	.db	%00010000
	.db	%00110000
	.db	%00010000
	.db	%01010101
	.db	%00100001
	.db	%01000000
	.db	%00100010
	.db	%01001000
	.db	%00101000
	.db	%01001000
	.db	%00101000
	.db	%01000000
	.db	%00100010
	.db	%00010000
	.db	%00100010
	.db	%00101000
	.db	%00011000
	.db	%00100000
	.db	%00010010
	.db	%00110000
	.db	%00010000
	.db	%00111000
	.db	%00010000
	.db	%00111000
	.db	%00010000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%10000000
	.db	%00100000
	.db	%00011011
	.db	%00101000
	.db	%00100011
	.db	%00010000
	.db	%00100000
	.db	%01110000
	.db	%00100001
	.db	%00101001
	.db	%00100000
	.db	%01111000
	.db	%00100000
	.db	%00101000
	.db	%00011110
	.db	%00100000
	.db	%00010000
	.db	%00110000
	.db	%00010000
	.db	%00100000
	.db	%00011001
	.db	%00100000
	.db	%00010000
	.db	%01011000
	.db	%00010000
	.db	%00100000
	.db	%00011110
	.db	%00101000
	.db	%00100011
	.db	%00011001
	.db	%00101000
	.db	%00100010
	.db	%00101000
	.db	%00011001
 .db	 0, 4
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00101001
	.db	%00100000
	.db	%00010000
	.db	%00101000
	.db	%10011000
	.db	%00010001
	.db	%01110000
	.db	%00011000
	.db	%01111000
	.db	%00100000
	.db	%00011000
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00101001
	.db	%00010001
	.db	%00110000
	.db	%00010010
	.db	%01011000
	.db	%00011000
	.db	%00010000
	.db	%00100000
	.db	%00011000
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00101000
	.db	%00010001
	.db	%00011000
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00010001
	.db	%10100000
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00101000
	.db	%00010001
	.db	%00111000
	.db	%00010101
	.db	%00101000
	.db	%00010001
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00101000
	.db	%00010001
	.db	%00011000
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00101000
	.db	%00100000
	.db	%00010000
	.db	%00101000
	.db	%01011000
	.db	%00010000
	.db	%10010000
	.db	%10001000
	.db	%01010011
	.db	%00010000
	.db	%00101000
	.db	%00010001
	.db	%00110000
	.db	%00010001
	.db	%10100000
	.db	%00100000
	.db	%00010011
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00101001
	.db	%00100000
	.db	%00010000
	.db	%00101000
	.db	%00010010
	.db	%00100000
	.db	%00011000
	.db	%10000000
	.db	%00100000
	.db	%00011000
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00101001
	.db	%00100000
	.db	%00011000
	.db	%00101000
	.db	%01011000
	.db	%00010001
	.db	%01101000
	.db	%00011000
	.db	%01011000
	.db	%00100000
	.db	%00011000
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00101001
	.db	%00100000
	.db	%00011000
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00101000
 .db	 0, 8
	.db	%00011111
	.db	%00011111
	.db	%00011010
	.db	%00101010
	.db	%00011001
	.db	%00101000
	.db	%00011010
	.db	%00101000
	.db	%00011001
	.db	%00101001
	.db	%00011001
	.db	%01010000
	.db	%01100000
	.db	%00011000
	.db	%00101000
	.db	%00011001
	.db	%00101000
	.db	%00011000
	.db	%00101001
	.db	%00011000
	.db	%00101001
	.db	%00011000
	.db	%00101000
	.db	%00011001
	.db	%00101000
	.db	%00011000
	.db	%01010001
	.db	%00011000
	.db	%00101010
	.db	%00011001
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011011
	.db	%01010001
	.db	%00011000
	.db	%00101000
	.db	%00011011
	.db	%00101000
	.db	%00011010
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011001
	.db	%00101000
	.db	%00011000
	.db	%01010001
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00010000
	.db	%01011000
	.db	%00011000
	.db	%00101000
	.db	%00011010
	.db	%00101000
	.db	%00011001
	.db	%00101001
	.db	%00011001
	.db	%00010001
	.db	%00011010
	.db	%01000000
	.db	%01001000
	.db	%00011111
	.db	%00011011
	.db	%01000000
	.db	%01001000
	.db	%00011000
	.db	%00010100
	.db	%00011111
	.db	%00011010
	.db	%00010011
	.db	%00011010
	.db	%00010011
	.db	%01011000
	.db	%00010111
	.db	%00011111
	.db	%00011111
	.db	%00011100
 .db	 0, 7
	.db	%00101001
	.db	%00011010
	.db	%00101111
	.db	%00101011
	.db	%00011001
	.db	%01101000
	.db	%01110000
	.db	%10011000
	.db	%00011000
	.db	%00010010
	.db	%00101000
	.db	%01010000
	.db	%00010000
	.db	%01010001
	.db	%00101000
	.db	%00010000
	.db	%10010000
	.db	%00010000
	.db	%00101000
	.db	%01011000
	.db	%00011000
	.db	%00010000
	.db	%00101000
	.db	%00011010
	.db	%00101000
	.db	%00010000
	.db	%00101001
	.db	%00010000
	.db	%00101010
	.db	%00010000
	.db	%00101000
	.db	%01111000
	.db	%10001000
	.db	%00010000
	.db	%00001000
	.db	%00010001
	.db	%00110000
	.db	%00010000
	.db	%00111000
	.db	%00010001
	.db	%00111000
	.db	%00010101
	.db	%00101010
	.db	%00011001
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101001
	.db	%01001000
	.db	%00101000
	.db	%00010000
	.db	%00011010
	.db	%00101000
	.db	%00010010
	.db	%10001000
	.db	%01100000
	.db	%00011000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%01011000
	.db	%00101001
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00011000
	.db	%01011000
	.db	%00011000
	.db	%00101100
	.db	%00011001
	.db	%00101000
	.db	%01001000
	.db	%00101000
	.db	%00010000
	.db	%00101001
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00011000
	.db	%10000000
	.db	%00011001
	.db	%00100000
	.db	%01010010
	.db	%00010000
	.db	%10110000
	.db	%00010011
	.db	%00101001
	.db	%00010100
	.db	%00011000
	.db	%00100000
	.db	%01010100
	.db	%00100000
	.db	%00101010
	.db	%00010000
	.db	%10110001
	.db	%00010000
	.db	%00101010
	.db	%00011000
	.db	%00100000
	.db	%01100000
	.db	%01010011
	.db	%00001000
	.db	%00100000
	.db	%00000001
	.db	%00101101
	.db	%00000010
	.db	%00100111
 .db	 17, 6
	.db	%00101001
	.db	%00011010
	.db	%00101111
	.db	%00101011
	.db	%00011001
	.db	%00010001
	.db	%10011000
	.db	%00011000
	.db	%00010010
	.db	%00101000
	.db	%00010011
	.db	%00101000
	.db	%00010010
	.db	%00101000
	.db	%01011000
	.db	%00011000
	.db	%00010000
	.db	%00101000
	.db	%00011010
	.db	%00101000
	.db	%00010000
	.db	%00101001
	.db	%00010000
	.db	%00101010
	.db	%00010000
	.db	%00101000
	.db	%00010010
	.db	%00001000
	.db	%00010001
	.db	%00110000
	.db	%00010000
	.db	%00111000
	.db	%00010001
	.db	%00111000
	.db	%00010101
	.db	%00101010
	.db	%00011001
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101001
	.db	%01001000
	.db	%00101000
	.db	%00010000
	.db	%00011010
	.db	%00101000
	.db	%00010100
	.db	%00011000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101001
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00011000
	.db	%00010000
	.db	%00011000
	.db	%00101001
	.db	%00100100
	.db	%00101000
	.db	%01001000
	.db	%00101000
	.db	%00010000
	.db	%00101001
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00011000
	.db	%00010000
	.db	%00011001
	.db	%00100000
	.db	%01010010
	.db	%00010000
	.db	%10110000
	.db	%00010011
	.db	%00101001
	.db	%00010100
	.db	%00011000
	.db	%00100000
	.db	%01010011
	.db	%00100001
	.db	%00101010
	.db	%00010000
	.db	%10110001
	.db	%00010000
	.db	%00101010
	.db	%00011000
	.db	%00100000
	.db	%01100000
	.db	%01010011
	.db	%00001000
	.db	%00100000
	.db	%00000001
	.db	%00101101
	.db	%00000010
	.db	%00100111
 .db	 0, 3
	.db	%00100100
	.db	%00011111
	.db	%00011011
	.db	%00101000
	.db	%00100001
	.db	%00101000
	.db	%00100001
	.db	%00101000
	.db	%00011000
	.db	%00010101
	.db	%00011001
	.db	%00010000
	.db	%01111000
	.db	%10011000
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00101000
	.db	%00011010
	.db	%00101000
	.db	%01000000
	.db	%00101001
	.db	%01001000
	.db	%00101000
	.db	%00010001
	.db	%00011000
	.db	%01000000
	.db	%00011001
	.db	%00101000
	.db	%00100000
	.db	%00010110
	.db	%00101001
	.db	%00010000
	.db	%00011001
	.db	%00010100
	.db	%00101000
	.db	%00100000
	.db	%00011100
	.db	%00101000
	.db	%01001000
	.db	%00011000
	.db	%10011000
	.db	%01110000
	.db	%00011000
	.db	%00010001
	.db	%00011000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00100101
	.db	%00011000
	.db	%00010000
	.db	%00011000
	.db	%00101000
	.db	%00010000
	.db	%00011000
	.db	%00010000
	.db	%00011001
	.db	%01000000
	.db	%00101000
	.db	%00010000
	.db	%00101111
	.db	%00010000
	.db	%00101001
	.db	%01000000
	.db	%00011000
	.db	%00010000
	.db	%00011000
	.db	%00101000
	.db	%00010000
	.db	%00110000
	.db	%00010000
	.db	%10010000
	.db	%10001000
	.db	%10100000
	.db	%00010001
	.db	%00110000
	.db	%00010000
	.db	%00110000
	.db	%00010011
	.db	%01011000
	.db	%00010000
	.db	%00011000
	.db	%00101000
	.db	%10000000
	.db	%00101010
	.db	%00011000
	.db	%01011000
	.db	%01101000
	.db	%00010000
	.db	%00111000
	.db	%00010000
	.db	%00011000
	.db	%00101000
	.db	%00011110
	.db	%01011000
	.db	%10100000
	.db	%00011010
	.db	%00101100
	.db	%00011000
	.db	%00100110
	.db	%00101000
	.db	%00011000
	.db	%00101001
	.db	%00100001
 .db	 0, 6
	.db	%00100111
	.db	%00100111
	.db	%00100011
	.db	%00011000
	.db	%00101010
	.db	%00011000
	.db	%00100111
	.db	%00100101
	.db	%00101000
	.db	%01011000
	.db	%00010000
	.db	%10011000
	.db	%00011110
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011011
	.db	%00100000
	.db	%00101000
	.db	%00010010
	.db	%00111000
	.db	%00010111
	.db	%00010010
	.db	%00111000
	.db	%00010000
	.db	%00100000
	.db	%00011000
	.db	%00101010
	.db	%00011000
	.db	%01010000
	.db	%00011100
	.db	%00101000
	.db	%01001000
	.db	%00101000
	.db	%00011111
	.db	%00011001
	.db	%01010000
	.db	%00011000
	.db	%00100010
	.db	%00101001
	.db	%00010000
	.db	%00101001
	.db	%00100010
	.db	%00010000
	.db	%01011000
	.db	%00010100
	.db	%00011000
	.db	%00100001
	.db	%00101001
	.db	%00010010
	.db	%00101001
	.db	%00100001
	.db	%00011111
	.db	%00100001
	.db	%00101000
	.db	%01010000
	.db	%00010010
	.db	%10100000
	.db	%00101000
	.db	%00100111
	.db	%00100011
	.db	%00011000
	.db	%00101100
	.db	%00011000
	.db	%00100111
	.db	%00100111
	.db	%00100100
 .db	 0, 3
	.db	%00100101
	.db	%00011000
	.db	%00101001
	.db	%00011000
	.db	%00100111
	.db	%00100110
	.db	%00101000
	.db	%01101000
	.db	%00010000
	.db	%00101000
	.db	%00100111
	.db	%00100000
	.db	%00101111
	.db	%00010000
	.db	%00101111
	.db	%00101001
	.db	%00010001
	.db	%01011000
	.db	%00010110
	.db	%00111000
	.db	%00010101
	.db	%10000000
	.db	%00010000
	.db	%00101110
	.db	%00010010
	.db	%00101111
	.db	%00101001
	.db	%01011000
	.db	%01110000
	.db	%00010010
	.db	%10010000
	.db	%00010010
	.db	%10001000
	.db	%00010011
	.db	%01011000
	.db	%10101000
	.db	%00101000
	.db	%00011001
	.db	%00101101
	.db	%00010010
	.db	%00101110
	.db	%00011000
	.db	%00100010
	.db	%00101000
	.db	%01011000
	.db	%01111000
	.db	%00010000
	.db	%10001000
	.db	%00010010
	.db	%10001000
	.db	%00010010
	.db	%01101000
	.db	%00101000
	.db	%00011000
	.db	%00100011
	.db	%00011000
	.db	%00101100
	.db	%01111000
	.db	%00101101
	.db	%00011000
	.db	%00100111
	.db	%00100001
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00100111
	.db	%00100000
 .db	 0, 3
	.db	%00100010
	.db	%00011000
	.db	%00101101
	.db	%00011000
	.db	%00100010
	.db	%00011000
	.db	%00101001
	.db	%00011000
	.db	%00100011
	.db	%00101000
	.db	%01101000
	.db	%10001000
	.db	%00010011
	.db	%00101000
	.db	%00100010
	.db	%00101000
	.db	%01011000
	.db	%00010000
	.db	%00101000
	.db	%00100000
	.db	%00101101
	.db	%11000000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00100010
	.db	%00101000
	.db	%00010001
	.db	%00101000
	.db	%00100000
	.db	%00010010
	.db	%01011000
	.db	%00010011
	.db	%00101000
	.db	%00010000
	.db	%00101010
	.db	%00011001
	.db	%00101000
	.db	%10000000
	.db	%00101000
	.db	%00100000
	.db	%00101101
	.db	%00010001
	.db	%00101000
	.db	%00010011
	.db	%00101000
	.db	%00100000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00100000
	.db	%00010001
	.db	%00111000
	.db	%00010011
	.db	%00101000
	.db	%00011000
	.db	%00010001
	.db	%00011000
	.db	%00010000
	.db	%00101010
	.db	%00010000
	.db	%00101000
	.db	%00011000
	.db	%00010000
	.db	%10011000
	.db	%00101000
	.db	%01001000
	.db	%01000000
	.db	%00101000
	.db	%00010100
	.db	%00101000
	.db	%00010101
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00011000
	.db	%00010001
	.db	%00101010
	.db	%01001000
	.db	%00101010
	.db	%00011000
	.db	%01001000
	.db	%00101100
	.db	%10101000
	.db	%00101000
	.db	%10011000
	.db	%00010000
	.db	%01111000
	.db	%01011000
	.db	%00101001
	.db	%00010000
	.db	%01011000
	.db	%01110000
	.db	%10100000
	.db	%00101000
	.db	%00010000
	.db	%10001000
	.db	%10010000
	.db	%10001000
	.db	%10010000
	.db	%00010000
	.db	%00101000
	.db	%00011000
	.db	%00101011
	.db	%00011001
	.db	%00101011
	.db	%00011000
	.db	%00101101
 .db	 0, 8
	.db	%00100011
	.db	%00101111
	.db	%00101110
	.db	%00100011
	.db	%00101000
	.db	%00010011
	.db	%00111000
	.db	%00010111
	.db	%00010000
	.db	%00100011
	.db	%00101000
	.db	%00010000
	.db	%00101011
	.db	%00010001
	.db	%00101110
	.db	%00100011
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%01010001
	.db	%00101000
	.db	%00011000
	.db	%00100011
	.db	%00011001
	.db	%00100011
	.db	%00101000
	.db	%00010000
	.db	%00101001
	.db	%01010001
	.db	%00101000
	.db	%00011000
	.db	%00100011
	.db	%00011001
	.db	%00100000
	.db	%00101100
	.db	%01000000
	.db	%00101000
	.db	%01010001
	.db	%00101000
	.db	%00011000
	.db	%00100011
	.db	%00011001
	.db	%00100001
	.db	%00010111
	.db	%00101000
	.db	%00011000
	.db	%00100011
	.db	%00011001
	.db	%00100010
	.db	%01011000
	.db	%00101110
	.db	%00011000
	.db	%00100011
	.db	%00011001
	.db	%00100010
	.db	%00011000
	.db	%00010000
	.db	%00101000
	.db	%00100111
	.db	%00100001
	.db	%00011001
	.db	%00100010
	.db	%00011000
	.db	%00000000
	.db	%00101000
	.db	%00011000
	.db	%00100111
	.db	%00100000
	.db	%00011001
	.db	%00100010
	.db	%00011000
	.db	%00000001
 .db	 0, 1
	.db	%00101111
	.db	%00101111
	.db	%00101010
	.db	%00010000
	.db	%01011000
	.db	%00111000
	.db	%00010100
	.db	%10010000
	.db	%00010000
	.db	%10010000
	.db	%00010000
	.db	%01011000
	.db	%00010000
	.db	%00111000
	.db	%00010000
	.db	%11000010
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%01001000
	.db	%00101011
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00111000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%01010000
	.db	%10100000
	.db	%00101001
	.db	%00010010
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%01110000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%01010000
	.db	%10101000
	.db	%00101001
	.db	%01000000
	.db	%00101010
	.db	%00010000
	.db	%00110000
	.db	%00010000
	.db	%00110000
	.db	%00010000
	.db	%00110000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%01011000
	.db	%00101001
	.db	%00100000
	.db	%00011000
	.db	%00010010
	.db	%00110000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00100001
	.db	%00101000
	.db	%00011000
	.db	%10000000
	.db	%00011000
	.db	%00101010
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00011000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00011000
	.db	%00010000
	.db	%00101000
	.db	%00100001
	.db	%00011000
	.db	%00101000
	.db	%01011000
	.db	%00101000
	.db	%10111000
	.db	%01011000
	.db	%10001000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00111000
	.db	%00010000
	.db	%00101000
	.db	%00010010
	.db	%00101000
	.db	%00100001
	.db	%00000000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101011
	.db	%00011000
	.db	%00101010
	.db	%00011000
	.db	%00101010
	.db	%00011000
	.db	%00100001
 .db	 0, 8
	.db	%00100111
	.db	%00100101
	.db	%00101000
	.db	%00100011
	.db	%00011000
	.db	%00101001
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00101001
	.db	%00011000
	.db	%00100100
	.db	%00101001
	.db	%00100010
	.db	%00101000
	.db	%00100011
	.db	%00101000
	.db	%00100001
	.db	%00101000
	.db	%00100000
	.db	%00101110
	.db	%00100001
	.db	%00101000
	.db	%00100000
	.db	%00101001
	.db	%00100000
	.db	%00101000
	.db	%00100001
	.db	%00101000
	.db	%00100000
	.db	%00101111
	.db	%00100000
	.db	%00101000
	.db	%00100001
	.db	%00101000
	.db	%00100000
	.db	%00101000
	.db	%00100001
	.db	%00101000
	.db	%00100000
	.db	%00101110
	.db	%00100001
	.db	%00011000
	.db	%00101001
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00101001
	.db	%00011000
	.db	%00100100
	.db	%00101001
	.db	%00100111
	.db	%00100111
	.db	%00100000
	.db	%00101000
	.db	%00100011
	.db	%00011111
	.db	%00011111
	.db	%00011010
	.db	%00010000
	.db	%01010000
	.db	%00010000
	.db	%01010000
	.db	%00010000
	.db	%01010000
	.db	%00010000
	.db	%01010000
	.db	%00010000
	.db	%01010000
	.db	%00010000
	.db	%01010000
	.db	%01011000
	.db	%01010000
	.db	%00010000
	.db	%01010000
	.db	%00010000
	.db	%01010000
	.db	%00010000
	.db	%00011111
	.db	%00011111
	.db	%00011010
 .db	 0, 8
	.db	%00101111
	.db	%00101001
	.db	%00000111
	.db	%00000000
	.db	%10011000
	.db	%01101000
	.db	%00010000
	.db	%00111000
	.db	%00010000
	.db	%00101000
	.db	%10000000
	.db	%00010000
	.db	%10101000
	.db	%00101000
	.db	%00000111
	.db	%00000000
	.db	%00101011
	.db	%00010001
	.db	%01101000
	.db	%00010000
	.db	%01111000
	.db	%00101001
	.db	%00000111
	.db	%10100000
	.db	%10001000
	.db	%00010010
	.db	%00101000
	.db	%01011000
	.db	%00010000
	.db	%01111000
	.db	%01110000
	.db	%00101000
	.db	%00011111
	.db	%00101001
	.db	%00010000
	.db	%00101000
	.db	%11000000
	.db	%00101111
	.db	%00101101
	.db	%10111000
	.db	%10010000
	.db	%00010000
	.db	%00101000
	.db	%11000000
	.db	%00101000
	.db	%00010111
	.db	%00010010
	.db	%00111000
	.db	%00010000
	.db	%00101001
	.db	%00010000
	.db	%00101000
	.db	%01010000
	.db	%00010001
	.db	%00101111
	.db	%00101011
	.db	%01011000
	.db	%00010001
	.db	%00101000
	.db	%01010000
	.db	%00101010
	.db	%00011111
	.db	%00011010
	.db	%00010010
	.db	%00101000
	.db	%01011000
	.db	%00101000
	.db	%00000111
	.db	%00000100
	.db	%00101101
	.db	%00000111
	.db	%00000100
 .db	 0, 6
	.db	%00100010
	.db	%00101000
	.db	%00100010
	.db	%00011111
	.db	%00011010
	.db	%00100011
	.db	%00101000
	.db	%00100010
	.db	%00011000
	.db	%00010000
	.db	%01010000
	.db	%00010000
	.db	%01010000
	.db	%00010000
	.db	%01010000
	.db	%00010000
	.db	%01010000
	.db	%00010000
	.db	%00011000
	.db	%00100001
	.db	%00101100
	.db	%00100000
	.db	%00011000
	.db	%01010000
	.db	%00101000
	.db	%01010000
	.db	%00101000
	.db	%01010000
	.db	%00101000
	.db	%01010000
	.db	%00101000
	.db	%01010000
	.db	%00011000
	.db	%00100010
	.db	%00101010
	.db	%00100001
	.db	%00011000
	.db	%01010000
	.db	%10110000
	.db	%01010000
	.db	%10110000
	.db	%01010000
	.db	%10110000
	.db	%01010000
	.db	%10110000
	.db	%01010000
	.db	%00011000
	.db	%00100011
	.db	%00101000
	.db	%00100010
	.db	%00011000
	.db	%01010000
	.db	%00101000
	.db	%01010000
	.db	%00101000
	.db	%01010000
	.db	%00101000
	.db	%01010000
	.db	%00101000
	.db	%01010000
	.db	%00011000
	.db	%00100000
	.db	%00011001
	.db	%00100100
	.db	%00011000
	.db	%01011000
	.db	%01010000
	.db	%00010000
	.db	%01010000
	.db	%00010000
	.db	%01010000
	.db	%00010000
	.db	%01010000
	.db	%01100000
	.db	%00011000
	.db	%00100000
	.db	%00010000
	.db	%00011110
	.db	%11000000
	.db	%00011111
	.db	%00011001
	.db	%00010000
	.db	%01011000
	.db	%00010000
	.db	%10000000
	.db	%10010011
	.db	%00010111
	.db	%11000001
	.db	%00001000
	.db	%00011111
	.db	%10111000
	.db	%00011111
	.db	%00011001
	.db	%00100110
	.db	%00011010
	.db	%00100111
	.db	%00100000
 .db	 17, 8
	.db	%00011111
	.db	%00011001
	.db	%00101000
	.db	%00011110
	.db	%00101000
	.db	%01010001
	.db	%01011000
	.db	%00010111
	.db	%00010100
	.db	%01010001
	.db	%00011000
	.db	%01010000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101010
	.db	%00011010
	.db	%00101000
	.db	%00011001
	.db	%00101000
	.db	%01010000
	.db	%00101000
	.db	%00010000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00010000
	.db	%01011000
	.db	%00101000
	.db	%01010001
	.db	%00010000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00010000
	.db	%00011000
	.db	%00010000
	.db	%00011000
	.db	%00100010
	.db	%00011000
	.db	%00010000
	.db	%00101000
	.db	%00011000
	.db	%01010000
	.db	%00101000
	.db	%00010000
	.db	%10010000
	.db	%10000000
	.db	%00010000
	.db	%00111000
	.db	%00010001
	.db	%00011000
	.db	%00010000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00010001
	.db	%00111000
	.db	%00010001
	.db	%00101010
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00011000
	.db	%00010000
	.db	%00011001
	.db	%01101000
	.db	%00011000
	.db	%00100000
	.db	%00101000
	.db	%01010000
	.db	%00101001
	.db	%00010001
	.db	%01101000
	.db	%11000000
	.db	%00010000
	.db	%00011000
	.db	%00010000
	.db	%00111000
	.db	%00010000
	.db	%01010000
	.db	%00101001
	.db	%00010000
	.db	%00101000
	.db	%00011000
	.db	%00101010
	.db	%00011011
	.db	%00101000
	.db	%01011000
	.db	%00011000
	.db	%00010000
	.db	%00101000
	.db	%00011000
	.db	%01010001
	.db	%00010111
	.db	%00010011
	.db	%01110000
	.db	%00011000
	.db	%00010001
	.db	%00101000
	.db	%00011010
	.db	%00101000
	.db	%00011001
	.db	%00101000
	.db	%00011110
	.db	%00101011
	.db	%00011000
 .db	 0, 6
	.db	%00101000
	.db	%00100010
	.db	%00011000
	.db	%00100110
	.db	%00101000
	.db	%00100100
	.db	%00101000
	.db	%00010000
	.db	%01010000
	.db	%00010000
	.db	%00101000
	.db	%00100001
	.db	%00101000
	.db	%00100000
	.db	%00010010
	.db	%00101000
	.db	%00010000
	.db	%01010001
	.db	%00010001
	.db	%10001000
	.db	%11000000
	.db	%00010000
	.db	%00101000
	.db	%00010100
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00100010
	.db	%00101001
	.db	%00010000
	.db	%00100000
	.db	%00010000
	.db	%10011000
	.db	%00011000
	.db	%00101000
	.db	%00010010
	.db	%00101000
	.db	%00010000
	.db	%10101000
	.db	%00010000
	.db	%00101000
	.db	%00010001
	.db	%01011000
	.db	%10111000
	.db	%00011000
	.db	%00010000
	.db	%00100000
	.db	%00010000
	.db	%00101000
	.db	%01010000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00100000
	.db	%00010010
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00011001
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00100000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00100000
	.db	%00101000
	.db	%01001000
	.db	%00101001
	.db	%00100000
	.db	%00010000
	.db	%00100000
	.db	%01011000
	.db	%01110000
	.db	%00011000
	.db	%00010000
	.db	%01011000
	.db	%10000000
	.db	%00101000
	.db	%01010000
	.db	%00010010
	.db	%00100000
	.db	%01010000
	.db	%00010000
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00010000
	.db	%00100000
	.db	%00010000
	.db	%00011000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%01011000
	.db	%00101001
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%01010000
	.db	%00101000
	.db	%00010011
	.db	%00011000
	.db	%00010000
	.db	%00100001
	.db	%00010000
	.db	%00110000
	.db	%00010000
	.db	%10010000
	.db	%01011000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%01010001
	.db	%00010001
	.db	%00101000
	.db	%00010001
	.db	%10000000
	.db	%00010000
	.db	%00101000
	.db	%00100000
	.db	%00101000
	.db	%00100001
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00100111
	.db	%00101000
	.db	%00100001
 .db	 0, 1
	.db	%00011111
	.db	%00011111
	.db	%00011010
	.db	%00010111
	.db	%00010100
	.db	%01011000
	.db	%00010100
	.db	%00011111
	.db	%00011111
	.db	%00011010
	.db	%00100111
	.db	%00100111
	.db	%00100011
	.db	%00011000
	.db	%00101001
	.db	%00100000
	.db	%00101000
	.db	%00100010
	.db	%00011000
	.db	%00101001
	.db	%00100000
	.db	%00011000
	.db	%00100010
	.db	%00011000
	.db	%00100001
	.db	%00101000
	.db	%00100010
	.db	%00101000
	.db	%00100010
	.db	%00101000
	.db	%00100010
	.db	%00101000
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00101000
	.db	%00100001
	.db	%00101001
	.db	%00011000
	.db	%00100000
	.db	%00101000
	.db	%00100010
	.db	%00101001
	.db	%00011000
	.db	%00100000
	.db	%00011000
	.db	%00100000
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00100001
	.db	%00101000
	.db	%00100010
	.db	%00101000
	.db	%00100010
	.db	%00101000
	.db	%00100010
	.db	%00101000
	.db	%00100010
	.db	%00101000
	.db	%00100001
	.db	%00011000
	.db	%00101001
	.db	%00100000
	.db	%00011000
	.db	%00101001
	.db	%00100000
	.db	%00011000
	.db	%00101001
	.db	%00100000
	.db	%00101000
	.db	%00100010
	.db	%00101000
	.db	%00100111
	.db	%00100111
	.db	%00100011
 .db	 0, 1
	.db	%00011111
	.db	%00011111
	.db	%00011010
	.db	%00010111
	.db	%00010111
	.db	%00010010
	.db	%00011111
	.db	%00011111
	.db	%00011010
	.db	%00100111
	.db	%00100111
	.db	%00100010
	.db	%00101001
	.db	%00100000
	.db	%00101000
	.db	%00100001
	.db	%00101000
	.db	%00100000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00100000
	.db	%00011000
	.db	%00101001
	.db	%00011000
	.db	%00100011
	.db	%00101001
	.db	%00100000
	.db	%00101000
	.db	%00100010
	.db	%00101000
	.db	%00100010
	.db	%00101000
	.db	%00100011
	.db	%00101000
	.db	%00011000
	.db	%00100000
	.db	%00101000
	.db	%00100000
	.db	%00101001
	.db	%00100010
	.db	%00101000
	.db	%00100010
	.db	%00011000
	.db	%00101001
	.db	%00011000
	.db	%00100011
	.db	%00101000
	.db	%00100001
	.db	%00101000
	.db	%00100010
	.db	%00101000
	.db	%00100101
	.db	%00101000
	.db	%00100000
	.db	%00101001
	.db	%00100000
	.db	%00101000
	.db	%00100001
	.db	%00101000
	.db	%00100010
	.db	%00101000
	.db	%00100010
	.db	%00011000
	.db	%00101001
	.db	%00011000
	.db	%00100111
	.db	%00100111
	.db	%00100011
 .db	 0, 1
	.db	%00011000
	.db	%00101100
	.db	%00011000
	.db	%00101011
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101010
	.db	%00011000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%10111000
	.db	%00010001
	.db	%01110000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00010001
	.db	%01011000
	.db	%00011000
	.db	%00101000
	.db	%00010001
	.db	%01010000
	.db	%00010111
	.db	%10010000
	.db	%00010010
	.db	%00101011
	.db	%00010000
	.db	%00101000
	.db	%00011000
	.db	%00101001
	.db	%00010000
	.db	%00101000
	.db	%00010011
	.db	%00101000
	.db	%00010000
	.db	%00011000
	.db	%00101001
	.db	%00010000
	.db	%01010000
	.db	%00010001
	.db	%00101000
	.db	%00000010
	.db	%00010000
	.db	%00101011
	.db	%00011000
	.db	%00101000
	.db	%00010001
	.db	%01010000
	.db	%00010001
	.db	%00011000
	.db	%00101010
	.db	%00000010
	.db	%00010000
	.db	%00111000
	.db	%11000000
	.db	%00101000
	.db	%00100001
	.db	%00011000
	.db	%01111000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00100001
	.db	%00011000
	.db	%00000010
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101010
	.db	%10011000
	.db	%00101000
	.db	%00100010
	.db	%00101001
	.db	%00000010
	.db	%00100011
	.db	%00011000
	.db	%11000000
	.db	%00111000
	.db	%00010001
	.db	%01011000
	.db	%00011000
	.db	%00100000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00000011
	.db	%00100011
	.db	%00101011
	.db	%00010000
	.db	%10000000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00000101
	.db	%00100110
	.db	%00011000
	.db	%00101010
	.db	%00000111
 .db	 0, 1
	.db	%00011000
	.db	%00101110
	.db	%00100111
	.db	%00100010
	.db	%00010001
	.db	%00111000
	.db	%11000000
	.db	%00101000
	.db	%00000001
	.db	%00101001
	.db	%00100111
	.db	%00100001
	.db	%00101001
	.db	%00011000
	.db	%00101001
	.db	%00000010
	.db	%00101001
	.db	%00100011
	.db	%00011000
	.db	%00100111
	.db	%00011000
	.db	%00000011
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00100111
	.db	%00100010
	.db	%00101001
	.db	%00000100
	.db	%00101000
	.db	%00100111
	.db	%00100010
	.db	%00101000
	.db	%00000101
	.db	%00101010
	.db	%00011000
	.db	%00101000
	.db	%00100010
	.db	%00011000
	.db	%00100010
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00000001
	.db	%00101001
	.db	%00011000
	.db	%00101000
	.db	%00000001
	.db	%00101000
	.db	%00100111
	.db	%00100000
	.db	%00101001
	.db	%00000001
	.db	%00101001
	.db	%00000001
	.db	%00011000
	.db	%00101001
	.db	%00011000
	.db	%00101000
	.db	%00100100
	.db	%00011000
	.db	%00100000
	.db	%00101101
	.db	%00000000
	.db	%00101000
	.db	%11000000
	.db	%00111000
	.db	%00010001
	.db	%00100111
	.db	%00100011
	.db	%00101010
	.db	%00011000
	.db	%00101010
 .db	 0, 8
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%01101000
	.db	%01011000
	.db	%10010000
	.db	%00010001
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00010111
	.db	%00010001
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00010000
	.db	%10011000
	.db	%00010000
	.db	%00101000
	.db	%01000000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%11000000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%01111000
	.db	%00100000
	.db	%10000000
	.db	%00010011
	.db	%00011000
	.db	%00010010
	.db	%01011000
	.db	%00010000
	.db	%00101000
	.db	%00010011
	.db	%00011000
	.db	%00010000
	.db	%00101000
	.db	%01011000
	.db	%00101001
	.db	%00010000
	.db	%00011000
	.db	%00101000
	.db	%00010000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00010000
	.db	%00011000
	.db	%00010011
	.db	%00101000
	.db	%00010000
	.db	%00100000
	.db	%00011001
	.db	%00010010
	.db	%00011000
	.db	%00010000
	.db	%00011000
	.db	%10111000
	.db	%00011000
	.db	%00010000
	.db	%00101000
	.db	%00010011
	.db	%00011000
	.db	%00010000
	.db	%00101000
	.db	%11000000
	.db	%00110000
	.db	%00010000
	.db	%00011000
	.db	%00010000
	.db	%00101000
	.db	%00010010
	.db	%00011000
	.db	%00010000
	.db	%00011000
	.db	%01100000
	.db	%01010001
	.db	%01011000
	.db	%00101000
	.db	%00010000
	.db	%00100000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00010000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00010000
	.db	%00101000
	.db	%01000000
	.db	%00101000
	.db	%11000000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00010000
	.db	%00101000
	.db	%00010000
	.db	%01011000
	.db	%00010010
	.db	%00101000
	.db	%11000000
	.db	%00111000
	.db	%00010000
	.db	%00011000
	.db	%00010010
	.db	%01110000
	.db	%01011000
	.db	%10011000
	.db	%00101000
	.db	%00010000
	.db	%10001000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101001
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011001
	.db	%00101000
 .db	 0, 8
	.db	%00100111
	.db	%00100111
	.db	%00100111
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00100111
	.db	%00100100
	.db	%00011000
	.db	%11000000
	.db	%00111000
	.db	%00010000
	.db	%00001000
	.db	%00101000
	.db	%00100111
	.db	%00100100
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00100111
	.db	%00100111
	.db	%00100111
	.db	%00100111
	.db	%00100111
	.db	%00100111
	.db	%00100111
	.db	%00100111
	.db	%00100000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00010111
	.db	%00010011
	.db	%01011000
	.db	%00010010
	.db	%00111000
	.db	%11000000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000
	.db	%00101000
	.db	%00011000

highScore:
	.dw	0

highLevel:
	.db	0

.end
